#ifndef __included_hpp_hicn_api_json
#define __included_hpp_hicn_api_json

#include <vapi/vapi.hpp>
#include <hicn.api.vapi.h>

namespace vapi {

template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_node_params_set>(vapi_msg_hicn_api_node_params_set *msg)
{
  vapi_msg_hicn_api_node_params_set_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_node_params_set>(vapi_msg_hicn_api_node_params_set *msg)
{
  vapi_msg_hicn_api_node_params_set_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_node_params_set>()
{
  return ::vapi_msg_id_hicn_api_node_params_set; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_node_params_set>>()
{
  return ::vapi_msg_id_hicn_api_node_params_set; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_node_params_set()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_node_params_set>(vapi_msg_id_hicn_api_node_params_set);
}

template <> inline vapi_msg_hicn_api_node_params_set* vapi_alloc<vapi_msg_hicn_api_node_params_set>(Connection &con)
{
  vapi_msg_hicn_api_node_params_set* result = vapi_alloc_hicn_api_node_params_set(con.vapi_ctx);
#if VAPI_CPP_DEBUG_LEAKS
  con.on_shm_data_alloc(result);
#endif
  return result;
}

template class Msg<vapi_msg_hicn_api_node_params_set>;

template class Request<vapi_msg_hicn_api_node_params_set, vapi_msg_hicn_api_node_params_set_reply>;

using Hicn_api_node_params_set = Request<vapi_msg_hicn_api_node_params_set, vapi_msg_hicn_api_node_params_set_reply>;

template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_node_params_set_reply>(vapi_msg_hicn_api_node_params_set_reply *msg)
{
  vapi_msg_hicn_api_node_params_set_reply_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_node_params_set_reply>(vapi_msg_hicn_api_node_params_set_reply *msg)
{
  vapi_msg_hicn_api_node_params_set_reply_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_node_params_set_reply>()
{
  return ::vapi_msg_id_hicn_api_node_params_set_reply; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_node_params_set_reply>>()
{
  return ::vapi_msg_id_hicn_api_node_params_set_reply; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_node_params_set_reply()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_node_params_set_reply>(vapi_msg_id_hicn_api_node_params_set_reply);
}

template class Msg<vapi_msg_hicn_api_node_params_set_reply>;

using Hicn_api_node_params_set_reply = Msg<vapi_msg_hicn_api_node_params_set_reply>;
template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_node_params_get>(vapi_msg_hicn_api_node_params_get *msg)
{
  vapi_msg_hicn_api_node_params_get_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_node_params_get>(vapi_msg_hicn_api_node_params_get *msg)
{
  vapi_msg_hicn_api_node_params_get_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_node_params_get>()
{
  return ::vapi_msg_id_hicn_api_node_params_get; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_node_params_get>>()
{
  return ::vapi_msg_id_hicn_api_node_params_get; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_node_params_get()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_node_params_get>(vapi_msg_id_hicn_api_node_params_get);
}

template <> inline vapi_msg_hicn_api_node_params_get* vapi_alloc<vapi_msg_hicn_api_node_params_get>(Connection &con)
{
  vapi_msg_hicn_api_node_params_get* result = vapi_alloc_hicn_api_node_params_get(con.vapi_ctx);
#if VAPI_CPP_DEBUG_LEAKS
  con.on_shm_data_alloc(result);
#endif
  return result;
}

template class Msg<vapi_msg_hicn_api_node_params_get>;

template class Request<vapi_msg_hicn_api_node_params_get, vapi_msg_hicn_api_node_params_get_reply>;

using Hicn_api_node_params_get = Request<vapi_msg_hicn_api_node_params_get, vapi_msg_hicn_api_node_params_get_reply>;

template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_node_params_get_reply>(vapi_msg_hicn_api_node_params_get_reply *msg)
{
  vapi_msg_hicn_api_node_params_get_reply_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_node_params_get_reply>(vapi_msg_hicn_api_node_params_get_reply *msg)
{
  vapi_msg_hicn_api_node_params_get_reply_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_node_params_get_reply>()
{
  return ::vapi_msg_id_hicn_api_node_params_get_reply; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_node_params_get_reply>>()
{
  return ::vapi_msg_id_hicn_api_node_params_get_reply; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_node_params_get_reply()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_node_params_get_reply>(vapi_msg_id_hicn_api_node_params_get_reply);
}

template class Msg<vapi_msg_hicn_api_node_params_get_reply>;

using Hicn_api_node_params_get_reply = Msg<vapi_msg_hicn_api_node_params_get_reply>;
template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_node_stats_get>(vapi_msg_hicn_api_node_stats_get *msg)
{
  vapi_msg_hicn_api_node_stats_get_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_node_stats_get>(vapi_msg_hicn_api_node_stats_get *msg)
{
  vapi_msg_hicn_api_node_stats_get_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_node_stats_get>()
{
  return ::vapi_msg_id_hicn_api_node_stats_get; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_node_stats_get>>()
{
  return ::vapi_msg_id_hicn_api_node_stats_get; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_node_stats_get()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_node_stats_get>(vapi_msg_id_hicn_api_node_stats_get);
}

template <> inline vapi_msg_hicn_api_node_stats_get* vapi_alloc<vapi_msg_hicn_api_node_stats_get>(Connection &con)
{
  vapi_msg_hicn_api_node_stats_get* result = vapi_alloc_hicn_api_node_stats_get(con.vapi_ctx);
#if VAPI_CPP_DEBUG_LEAKS
  con.on_shm_data_alloc(result);
#endif
  return result;
}

template class Msg<vapi_msg_hicn_api_node_stats_get>;

template class Request<vapi_msg_hicn_api_node_stats_get, vapi_msg_hicn_api_node_stats_get_reply>;

using Hicn_api_node_stats_get = Request<vapi_msg_hicn_api_node_stats_get, vapi_msg_hicn_api_node_stats_get_reply>;

template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_node_stats_get_reply>(vapi_msg_hicn_api_node_stats_get_reply *msg)
{
  vapi_msg_hicn_api_node_stats_get_reply_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_node_stats_get_reply>(vapi_msg_hicn_api_node_stats_get_reply *msg)
{
  vapi_msg_hicn_api_node_stats_get_reply_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_node_stats_get_reply>()
{
  return ::vapi_msg_id_hicn_api_node_stats_get_reply; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_node_stats_get_reply>>()
{
  return ::vapi_msg_id_hicn_api_node_stats_get_reply; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_node_stats_get_reply()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_node_stats_get_reply>(vapi_msg_id_hicn_api_node_stats_get_reply);
}

template class Msg<vapi_msg_hicn_api_node_stats_get_reply>;

using Hicn_api_node_stats_get_reply = Msg<vapi_msg_hicn_api_node_stats_get_reply>;
template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_face_stats_details>(vapi_msg_hicn_api_face_stats_details *msg)
{
  vapi_msg_hicn_api_face_stats_details_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_face_stats_details>(vapi_msg_hicn_api_face_stats_details *msg)
{
  vapi_msg_hicn_api_face_stats_details_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_face_stats_details>()
{
  return ::vapi_msg_id_hicn_api_face_stats_details; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_face_stats_details>>()
{
  return ::vapi_msg_id_hicn_api_face_stats_details; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_face_stats_details()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_face_stats_details>(vapi_msg_id_hicn_api_face_stats_details);
}

template class Msg<vapi_msg_hicn_api_face_stats_details>;

using Hicn_api_face_stats_details = Msg<vapi_msg_hicn_api_face_stats_details>;
template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_face_stats_dump>(vapi_msg_hicn_api_face_stats_dump *msg)
{
  vapi_msg_hicn_api_face_stats_dump_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_face_stats_dump>(vapi_msg_hicn_api_face_stats_dump *msg)
{
  vapi_msg_hicn_api_face_stats_dump_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_face_stats_dump>()
{
  return ::vapi_msg_id_hicn_api_face_stats_dump; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_face_stats_dump>>()
{
  return ::vapi_msg_id_hicn_api_face_stats_dump; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_face_stats_dump()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_face_stats_dump>(vapi_msg_id_hicn_api_face_stats_dump);
}

template <> inline vapi_msg_hicn_api_face_stats_dump* vapi_alloc<vapi_msg_hicn_api_face_stats_dump>(Connection &con)
{
  vapi_msg_hicn_api_face_stats_dump* result = vapi_alloc_hicn_api_face_stats_dump(con.vapi_ctx);
#if VAPI_CPP_DEBUG_LEAKS
  con.on_shm_data_alloc(result);
#endif
  return result;
}

template class Msg<vapi_msg_hicn_api_face_stats_dump>;

template class Dump<vapi_msg_hicn_api_face_stats_dump, vapi_msg_hicn_api_face_stats_details>;

using Hicn_api_face_stats_dump = Dump<vapi_msg_hicn_api_face_stats_dump, vapi_msg_hicn_api_face_stats_details>;

template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_face_params_get>(vapi_msg_hicn_api_face_params_get *msg)
{
  vapi_msg_hicn_api_face_params_get_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_face_params_get>(vapi_msg_hicn_api_face_params_get *msg)
{
  vapi_msg_hicn_api_face_params_get_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_face_params_get>()
{
  return ::vapi_msg_id_hicn_api_face_params_get; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_face_params_get>>()
{
  return ::vapi_msg_id_hicn_api_face_params_get; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_face_params_get()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_face_params_get>(vapi_msg_id_hicn_api_face_params_get);
}

template <> inline vapi_msg_hicn_api_face_params_get* vapi_alloc<vapi_msg_hicn_api_face_params_get>(Connection &con)
{
  vapi_msg_hicn_api_face_params_get* result = vapi_alloc_hicn_api_face_params_get(con.vapi_ctx);
#if VAPI_CPP_DEBUG_LEAKS
  con.on_shm_data_alloc(result);
#endif
  return result;
}

template class Msg<vapi_msg_hicn_api_face_params_get>;

template class Request<vapi_msg_hicn_api_face_params_get, vapi_msg_hicn_api_face_params_get_reply>;

using Hicn_api_face_params_get = Request<vapi_msg_hicn_api_face_params_get, vapi_msg_hicn_api_face_params_get_reply>;

template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_face_params_get_reply>(vapi_msg_hicn_api_face_params_get_reply *msg)
{
  vapi_msg_hicn_api_face_params_get_reply_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_face_params_get_reply>(vapi_msg_hicn_api_face_params_get_reply *msg)
{
  vapi_msg_hicn_api_face_params_get_reply_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_face_params_get_reply>()
{
  return ::vapi_msg_id_hicn_api_face_params_get_reply; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_face_params_get_reply>>()
{
  return ::vapi_msg_id_hicn_api_face_params_get_reply; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_face_params_get_reply()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_face_params_get_reply>(vapi_msg_id_hicn_api_face_params_get_reply);
}

template class Msg<vapi_msg_hicn_api_face_params_get_reply>;

using Hicn_api_face_params_get_reply = Msg<vapi_msg_hicn_api_face_params_get_reply>;
template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_faces_details>(vapi_msg_hicn_api_faces_details *msg)
{
  vapi_msg_hicn_api_faces_details_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_faces_details>(vapi_msg_hicn_api_faces_details *msg)
{
  vapi_msg_hicn_api_faces_details_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_faces_details>()
{
  return ::vapi_msg_id_hicn_api_faces_details; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_faces_details>>()
{
  return ::vapi_msg_id_hicn_api_faces_details; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_faces_details()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_faces_details>(vapi_msg_id_hicn_api_faces_details);
}

template class Msg<vapi_msg_hicn_api_faces_details>;

using Hicn_api_faces_details = Msg<vapi_msg_hicn_api_faces_details>;
template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_faces_dump>(vapi_msg_hicn_api_faces_dump *msg)
{
  vapi_msg_hicn_api_faces_dump_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_faces_dump>(vapi_msg_hicn_api_faces_dump *msg)
{
  vapi_msg_hicn_api_faces_dump_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_faces_dump>()
{
  return ::vapi_msg_id_hicn_api_faces_dump; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_faces_dump>>()
{
  return ::vapi_msg_id_hicn_api_faces_dump; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_faces_dump()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_faces_dump>(vapi_msg_id_hicn_api_faces_dump);
}

template <> inline vapi_msg_hicn_api_faces_dump* vapi_alloc<vapi_msg_hicn_api_faces_dump>(Connection &con)
{
  vapi_msg_hicn_api_faces_dump* result = vapi_alloc_hicn_api_faces_dump(con.vapi_ctx);
#if VAPI_CPP_DEBUG_LEAKS
  con.on_shm_data_alloc(result);
#endif
  return result;
}

template class Msg<vapi_msg_hicn_api_faces_dump>;

template class Dump<vapi_msg_hicn_api_faces_dump, vapi_msg_hicn_api_faces_details>;

using Hicn_api_faces_dump = Dump<vapi_msg_hicn_api_faces_dump, vapi_msg_hicn_api_faces_details>;

template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_face_get>(vapi_msg_hicn_api_face_get *msg)
{
  vapi_msg_hicn_api_face_get_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_face_get>(vapi_msg_hicn_api_face_get *msg)
{
  vapi_msg_hicn_api_face_get_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_face_get>()
{
  return ::vapi_msg_id_hicn_api_face_get; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_face_get>>()
{
  return ::vapi_msg_id_hicn_api_face_get; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_face_get()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_face_get>(vapi_msg_id_hicn_api_face_get);
}

template <> inline vapi_msg_hicn_api_face_get* vapi_alloc<vapi_msg_hicn_api_face_get>(Connection &con)
{
  vapi_msg_hicn_api_face_get* result = vapi_alloc_hicn_api_face_get(con.vapi_ctx);
#if VAPI_CPP_DEBUG_LEAKS
  con.on_shm_data_alloc(result);
#endif
  return result;
}

template class Msg<vapi_msg_hicn_api_face_get>;

template class Request<vapi_msg_hicn_api_face_get, vapi_msg_hicn_api_face_get_reply>;

using Hicn_api_face_get = Request<vapi_msg_hicn_api_face_get, vapi_msg_hicn_api_face_get_reply>;

template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_face_get_reply>(vapi_msg_hicn_api_face_get_reply *msg)
{
  vapi_msg_hicn_api_face_get_reply_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_face_get_reply>(vapi_msg_hicn_api_face_get_reply *msg)
{
  vapi_msg_hicn_api_face_get_reply_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_face_get_reply>()
{
  return ::vapi_msg_id_hicn_api_face_get_reply; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_face_get_reply>>()
{
  return ::vapi_msg_id_hicn_api_face_get_reply; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_face_get_reply()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_face_get_reply>(vapi_msg_id_hicn_api_face_get_reply);
}

template class Msg<vapi_msg_hicn_api_face_get_reply>;

using Hicn_api_face_get_reply = Msg<vapi_msg_hicn_api_face_get_reply>;
template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_route_get>(vapi_msg_hicn_api_route_get *msg)
{
  vapi_msg_hicn_api_route_get_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_route_get>(vapi_msg_hicn_api_route_get *msg)
{
  vapi_msg_hicn_api_route_get_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_route_get>()
{
  return ::vapi_msg_id_hicn_api_route_get; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_route_get>>()
{
  return ::vapi_msg_id_hicn_api_route_get; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_route_get()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_route_get>(vapi_msg_id_hicn_api_route_get);
}

template <> inline vapi_msg_hicn_api_route_get* vapi_alloc<vapi_msg_hicn_api_route_get>(Connection &con)
{
  vapi_msg_hicn_api_route_get* result = vapi_alloc_hicn_api_route_get(con.vapi_ctx);
#if VAPI_CPP_DEBUG_LEAKS
  con.on_shm_data_alloc(result);
#endif
  return result;
}

template class Msg<vapi_msg_hicn_api_route_get>;

template class Request<vapi_msg_hicn_api_route_get, vapi_msg_hicn_api_route_get_reply>;

using Hicn_api_route_get = Request<vapi_msg_hicn_api_route_get, vapi_msg_hicn_api_route_get_reply>;

template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_route_get_reply>(vapi_msg_hicn_api_route_get_reply *msg)
{
  vapi_msg_hicn_api_route_get_reply_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_route_get_reply>(vapi_msg_hicn_api_route_get_reply *msg)
{
  vapi_msg_hicn_api_route_get_reply_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_route_get_reply>()
{
  return ::vapi_msg_id_hicn_api_route_get_reply; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_route_get_reply>>()
{
  return ::vapi_msg_id_hicn_api_route_get_reply; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_route_get_reply()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_route_get_reply>(vapi_msg_id_hicn_api_route_get_reply);
}

template class Msg<vapi_msg_hicn_api_route_get_reply>;

using Hicn_api_route_get_reply = Msg<vapi_msg_hicn_api_route_get_reply>;
template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_routes_details>(vapi_msg_hicn_api_routes_details *msg)
{
  vapi_msg_hicn_api_routes_details_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_routes_details>(vapi_msg_hicn_api_routes_details *msg)
{
  vapi_msg_hicn_api_routes_details_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_routes_details>()
{
  return ::vapi_msg_id_hicn_api_routes_details; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_routes_details>>()
{
  return ::vapi_msg_id_hicn_api_routes_details; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_routes_details()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_routes_details>(vapi_msg_id_hicn_api_routes_details);
}

template class Msg<vapi_msg_hicn_api_routes_details>;

using Hicn_api_routes_details = Msg<vapi_msg_hicn_api_routes_details>;
template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_routes_dump>(vapi_msg_hicn_api_routes_dump *msg)
{
  vapi_msg_hicn_api_routes_dump_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_routes_dump>(vapi_msg_hicn_api_routes_dump *msg)
{
  vapi_msg_hicn_api_routes_dump_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_routes_dump>()
{
  return ::vapi_msg_id_hicn_api_routes_dump; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_routes_dump>>()
{
  return ::vapi_msg_id_hicn_api_routes_dump; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_routes_dump()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_routes_dump>(vapi_msg_id_hicn_api_routes_dump);
}

template <> inline vapi_msg_hicn_api_routes_dump* vapi_alloc<vapi_msg_hicn_api_routes_dump>(Connection &con)
{
  vapi_msg_hicn_api_routes_dump* result = vapi_alloc_hicn_api_routes_dump(con.vapi_ctx);
#if VAPI_CPP_DEBUG_LEAKS
  con.on_shm_data_alloc(result);
#endif
  return result;
}

template class Msg<vapi_msg_hicn_api_routes_dump>;

template class Dump<vapi_msg_hicn_api_routes_dump, vapi_msg_hicn_api_routes_details>;

using Hicn_api_routes_dump = Dump<vapi_msg_hicn_api_routes_dump, vapi_msg_hicn_api_routes_details>;

template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_strategies_get>(vapi_msg_hicn_api_strategies_get *msg)
{
  vapi_msg_hicn_api_strategies_get_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_strategies_get>(vapi_msg_hicn_api_strategies_get *msg)
{
  vapi_msg_hicn_api_strategies_get_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_strategies_get>()
{
  return ::vapi_msg_id_hicn_api_strategies_get; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_strategies_get>>()
{
  return ::vapi_msg_id_hicn_api_strategies_get; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_strategies_get()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_strategies_get>(vapi_msg_id_hicn_api_strategies_get);
}

template <> inline vapi_msg_hicn_api_strategies_get* vapi_alloc<vapi_msg_hicn_api_strategies_get>(Connection &con)
{
  vapi_msg_hicn_api_strategies_get* result = vapi_alloc_hicn_api_strategies_get(con.vapi_ctx);
#if VAPI_CPP_DEBUG_LEAKS
  con.on_shm_data_alloc(result);
#endif
  return result;
}

template class Msg<vapi_msg_hicn_api_strategies_get>;

template class Request<vapi_msg_hicn_api_strategies_get, vapi_msg_hicn_api_strategies_get_reply>;

using Hicn_api_strategies_get = Request<vapi_msg_hicn_api_strategies_get, vapi_msg_hicn_api_strategies_get_reply>;

template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_strategies_get_reply>(vapi_msg_hicn_api_strategies_get_reply *msg)
{
  vapi_msg_hicn_api_strategies_get_reply_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_strategies_get_reply>(vapi_msg_hicn_api_strategies_get_reply *msg)
{
  vapi_msg_hicn_api_strategies_get_reply_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_strategies_get_reply>()
{
  return ::vapi_msg_id_hicn_api_strategies_get_reply; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_strategies_get_reply>>()
{
  return ::vapi_msg_id_hicn_api_strategies_get_reply; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_strategies_get_reply()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_strategies_get_reply>(vapi_msg_id_hicn_api_strategies_get_reply);
}

template class Msg<vapi_msg_hicn_api_strategies_get_reply>;

using Hicn_api_strategies_get_reply = Msg<vapi_msg_hicn_api_strategies_get_reply>;
template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_strategy_get>(vapi_msg_hicn_api_strategy_get *msg)
{
  vapi_msg_hicn_api_strategy_get_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_strategy_get>(vapi_msg_hicn_api_strategy_get *msg)
{
  vapi_msg_hicn_api_strategy_get_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_strategy_get>()
{
  return ::vapi_msg_id_hicn_api_strategy_get; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_strategy_get>>()
{
  return ::vapi_msg_id_hicn_api_strategy_get; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_strategy_get()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_strategy_get>(vapi_msg_id_hicn_api_strategy_get);
}

template <> inline vapi_msg_hicn_api_strategy_get* vapi_alloc<vapi_msg_hicn_api_strategy_get>(Connection &con)
{
  vapi_msg_hicn_api_strategy_get* result = vapi_alloc_hicn_api_strategy_get(con.vapi_ctx);
#if VAPI_CPP_DEBUG_LEAKS
  con.on_shm_data_alloc(result);
#endif
  return result;
}

template class Msg<vapi_msg_hicn_api_strategy_get>;

template class Request<vapi_msg_hicn_api_strategy_get, vapi_msg_hicn_api_strategy_get_reply>;

using Hicn_api_strategy_get = Request<vapi_msg_hicn_api_strategy_get, vapi_msg_hicn_api_strategy_get_reply>;

template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_strategy_get_reply>(vapi_msg_hicn_api_strategy_get_reply *msg)
{
  vapi_msg_hicn_api_strategy_get_reply_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_strategy_get_reply>(vapi_msg_hicn_api_strategy_get_reply *msg)
{
  vapi_msg_hicn_api_strategy_get_reply_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_strategy_get_reply>()
{
  return ::vapi_msg_id_hicn_api_strategy_get_reply; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_strategy_get_reply>>()
{
  return ::vapi_msg_id_hicn_api_strategy_get_reply; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_strategy_get_reply()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_strategy_get_reply>(vapi_msg_id_hicn_api_strategy_get_reply);
}

template class Msg<vapi_msg_hicn_api_strategy_get_reply>;

using Hicn_api_strategy_get_reply = Msg<vapi_msg_hicn_api_strategy_get_reply>;
template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_enable_disable>(vapi_msg_hicn_api_enable_disable *msg)
{
  vapi_msg_hicn_api_enable_disable_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_enable_disable>(vapi_msg_hicn_api_enable_disable *msg)
{
  vapi_msg_hicn_api_enable_disable_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_enable_disable>()
{
  return ::vapi_msg_id_hicn_api_enable_disable; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_enable_disable>>()
{
  return ::vapi_msg_id_hicn_api_enable_disable; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_enable_disable()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_enable_disable>(vapi_msg_id_hicn_api_enable_disable);
}

template <> inline vapi_msg_hicn_api_enable_disable* vapi_alloc<vapi_msg_hicn_api_enable_disable>(Connection &con)
{
  vapi_msg_hicn_api_enable_disable* result = vapi_alloc_hicn_api_enable_disable(con.vapi_ctx);
#if VAPI_CPP_DEBUG_LEAKS
  con.on_shm_data_alloc(result);
#endif
  return result;
}

template class Msg<vapi_msg_hicn_api_enable_disable>;

template class Request<vapi_msg_hicn_api_enable_disable, vapi_msg_hicn_api_enable_disable_reply>;

using Hicn_api_enable_disable = Request<vapi_msg_hicn_api_enable_disable, vapi_msg_hicn_api_enable_disable_reply>;

template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_enable_disable_reply>(vapi_msg_hicn_api_enable_disable_reply *msg)
{
  vapi_msg_hicn_api_enable_disable_reply_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_enable_disable_reply>(vapi_msg_hicn_api_enable_disable_reply *msg)
{
  vapi_msg_hicn_api_enable_disable_reply_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_enable_disable_reply>()
{
  return ::vapi_msg_id_hicn_api_enable_disable_reply; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_enable_disable_reply>>()
{
  return ::vapi_msg_id_hicn_api_enable_disable_reply; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_enable_disable_reply()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_enable_disable_reply>(vapi_msg_id_hicn_api_enable_disable_reply);
}

template class Msg<vapi_msg_hicn_api_enable_disable_reply>;

using Hicn_api_enable_disable_reply = Msg<vapi_msg_hicn_api_enable_disable_reply>;
template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_register_prod_app>(vapi_msg_hicn_api_register_prod_app *msg)
{
  vapi_msg_hicn_api_register_prod_app_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_register_prod_app>(vapi_msg_hicn_api_register_prod_app *msg)
{
  vapi_msg_hicn_api_register_prod_app_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_register_prod_app>()
{
  return ::vapi_msg_id_hicn_api_register_prod_app; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_register_prod_app>>()
{
  return ::vapi_msg_id_hicn_api_register_prod_app; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_register_prod_app()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_register_prod_app>(vapi_msg_id_hicn_api_register_prod_app);
}

template <> inline vapi_msg_hicn_api_register_prod_app* vapi_alloc<vapi_msg_hicn_api_register_prod_app>(Connection &con)
{
  vapi_msg_hicn_api_register_prod_app* result = vapi_alloc_hicn_api_register_prod_app(con.vapi_ctx);
#if VAPI_CPP_DEBUG_LEAKS
  con.on_shm_data_alloc(result);
#endif
  return result;
}

template class Msg<vapi_msg_hicn_api_register_prod_app>;

template class Request<vapi_msg_hicn_api_register_prod_app, vapi_msg_hicn_api_register_prod_app_reply>;

using Hicn_api_register_prod_app = Request<vapi_msg_hicn_api_register_prod_app, vapi_msg_hicn_api_register_prod_app_reply>;

template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_register_prod_app_reply>(vapi_msg_hicn_api_register_prod_app_reply *msg)
{
  vapi_msg_hicn_api_register_prod_app_reply_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_register_prod_app_reply>(vapi_msg_hicn_api_register_prod_app_reply *msg)
{
  vapi_msg_hicn_api_register_prod_app_reply_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_register_prod_app_reply>()
{
  return ::vapi_msg_id_hicn_api_register_prod_app_reply; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_register_prod_app_reply>>()
{
  return ::vapi_msg_id_hicn_api_register_prod_app_reply; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_register_prod_app_reply()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_register_prod_app_reply>(vapi_msg_id_hicn_api_register_prod_app_reply);
}

template class Msg<vapi_msg_hicn_api_register_prod_app_reply>;

using Hicn_api_register_prod_app_reply = Msg<vapi_msg_hicn_api_register_prod_app_reply>;
template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_face_prod_del>(vapi_msg_hicn_api_face_prod_del *msg)
{
  vapi_msg_hicn_api_face_prod_del_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_face_prod_del>(vapi_msg_hicn_api_face_prod_del *msg)
{
  vapi_msg_hicn_api_face_prod_del_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_face_prod_del>()
{
  return ::vapi_msg_id_hicn_api_face_prod_del; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_face_prod_del>>()
{
  return ::vapi_msg_id_hicn_api_face_prod_del; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_face_prod_del()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_face_prod_del>(vapi_msg_id_hicn_api_face_prod_del);
}

template <> inline vapi_msg_hicn_api_face_prod_del* vapi_alloc<vapi_msg_hicn_api_face_prod_del>(Connection &con)
{
  vapi_msg_hicn_api_face_prod_del* result = vapi_alloc_hicn_api_face_prod_del(con.vapi_ctx);
#if VAPI_CPP_DEBUG_LEAKS
  con.on_shm_data_alloc(result);
#endif
  return result;
}

template class Msg<vapi_msg_hicn_api_face_prod_del>;

template class Request<vapi_msg_hicn_api_face_prod_del, vapi_msg_hicn_api_face_prod_del_reply>;

using Hicn_api_face_prod_del = Request<vapi_msg_hicn_api_face_prod_del, vapi_msg_hicn_api_face_prod_del_reply>;

template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_face_prod_del_reply>(vapi_msg_hicn_api_face_prod_del_reply *msg)
{
  vapi_msg_hicn_api_face_prod_del_reply_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_face_prod_del_reply>(vapi_msg_hicn_api_face_prod_del_reply *msg)
{
  vapi_msg_hicn_api_face_prod_del_reply_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_face_prod_del_reply>()
{
  return ::vapi_msg_id_hicn_api_face_prod_del_reply; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_face_prod_del_reply>>()
{
  return ::vapi_msg_id_hicn_api_face_prod_del_reply; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_face_prod_del_reply()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_face_prod_del_reply>(vapi_msg_id_hicn_api_face_prod_del_reply);
}

template class Msg<vapi_msg_hicn_api_face_prod_del_reply>;

using Hicn_api_face_prod_del_reply = Msg<vapi_msg_hicn_api_face_prod_del_reply>;
template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_register_cons_app>(vapi_msg_hicn_api_register_cons_app *msg)
{
  vapi_msg_hicn_api_register_cons_app_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_register_cons_app>(vapi_msg_hicn_api_register_cons_app *msg)
{
  vapi_msg_hicn_api_register_cons_app_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_register_cons_app>()
{
  return ::vapi_msg_id_hicn_api_register_cons_app; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_register_cons_app>>()
{
  return ::vapi_msg_id_hicn_api_register_cons_app; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_register_cons_app()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_register_cons_app>(vapi_msg_id_hicn_api_register_cons_app);
}

template <> inline vapi_msg_hicn_api_register_cons_app* vapi_alloc<vapi_msg_hicn_api_register_cons_app>(Connection &con)
{
  vapi_msg_hicn_api_register_cons_app* result = vapi_alloc_hicn_api_register_cons_app(con.vapi_ctx);
#if VAPI_CPP_DEBUG_LEAKS
  con.on_shm_data_alloc(result);
#endif
  return result;
}

template class Msg<vapi_msg_hicn_api_register_cons_app>;

template class Request<vapi_msg_hicn_api_register_cons_app, vapi_msg_hicn_api_register_cons_app_reply>;

using Hicn_api_register_cons_app = Request<vapi_msg_hicn_api_register_cons_app, vapi_msg_hicn_api_register_cons_app_reply>;

template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_register_cons_app_reply>(vapi_msg_hicn_api_register_cons_app_reply *msg)
{
  vapi_msg_hicn_api_register_cons_app_reply_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_register_cons_app_reply>(vapi_msg_hicn_api_register_cons_app_reply *msg)
{
  vapi_msg_hicn_api_register_cons_app_reply_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_register_cons_app_reply>()
{
  return ::vapi_msg_id_hicn_api_register_cons_app_reply; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_register_cons_app_reply>>()
{
  return ::vapi_msg_id_hicn_api_register_cons_app_reply; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_register_cons_app_reply()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_register_cons_app_reply>(vapi_msg_id_hicn_api_register_cons_app_reply);
}

template class Msg<vapi_msg_hicn_api_register_cons_app_reply>;

using Hicn_api_register_cons_app_reply = Msg<vapi_msg_hicn_api_register_cons_app_reply>;
template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_face_cons_del>(vapi_msg_hicn_api_face_cons_del *msg)
{
  vapi_msg_hicn_api_face_cons_del_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_face_cons_del>(vapi_msg_hicn_api_face_cons_del *msg)
{
  vapi_msg_hicn_api_face_cons_del_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_face_cons_del>()
{
  return ::vapi_msg_id_hicn_api_face_cons_del; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_face_cons_del>>()
{
  return ::vapi_msg_id_hicn_api_face_cons_del; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_face_cons_del()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_face_cons_del>(vapi_msg_id_hicn_api_face_cons_del);
}

template <> inline vapi_msg_hicn_api_face_cons_del* vapi_alloc<vapi_msg_hicn_api_face_cons_del>(Connection &con)
{
  vapi_msg_hicn_api_face_cons_del* result = vapi_alloc_hicn_api_face_cons_del(con.vapi_ctx);
#if VAPI_CPP_DEBUG_LEAKS
  con.on_shm_data_alloc(result);
#endif
  return result;
}

template class Msg<vapi_msg_hicn_api_face_cons_del>;

template class Request<vapi_msg_hicn_api_face_cons_del, vapi_msg_hicn_api_face_cons_del_reply>;

using Hicn_api_face_cons_del = Request<vapi_msg_hicn_api_face_cons_del, vapi_msg_hicn_api_face_cons_del_reply>;

template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_face_cons_del_reply>(vapi_msg_hicn_api_face_cons_del_reply *msg)
{
  vapi_msg_hicn_api_face_cons_del_reply_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_face_cons_del_reply>(vapi_msg_hicn_api_face_cons_del_reply *msg)
{
  vapi_msg_hicn_api_face_cons_del_reply_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_face_cons_del_reply>()
{
  return ::vapi_msg_id_hicn_api_face_cons_del_reply; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_face_cons_del_reply>>()
{
  return ::vapi_msg_id_hicn_api_face_cons_del_reply; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_face_cons_del_reply()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_face_cons_del_reply>(vapi_msg_id_hicn_api_face_cons_del_reply);
}

template class Msg<vapi_msg_hicn_api_face_cons_del_reply>;

using Hicn_api_face_cons_del_reply = Msg<vapi_msg_hicn_api_face_cons_del_reply>;
template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_udp_tunnel_add_del>(vapi_msg_hicn_api_udp_tunnel_add_del *msg)
{
  vapi_msg_hicn_api_udp_tunnel_add_del_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_udp_tunnel_add_del>(vapi_msg_hicn_api_udp_tunnel_add_del *msg)
{
  vapi_msg_hicn_api_udp_tunnel_add_del_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_udp_tunnel_add_del>()
{
  return ::vapi_msg_id_hicn_api_udp_tunnel_add_del; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_udp_tunnel_add_del>>()
{
  return ::vapi_msg_id_hicn_api_udp_tunnel_add_del; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_udp_tunnel_add_del()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_udp_tunnel_add_del>(vapi_msg_id_hicn_api_udp_tunnel_add_del);
}

template <> inline vapi_msg_hicn_api_udp_tunnel_add_del* vapi_alloc<vapi_msg_hicn_api_udp_tunnel_add_del>(Connection &con)
{
  vapi_msg_hicn_api_udp_tunnel_add_del* result = vapi_alloc_hicn_api_udp_tunnel_add_del(con.vapi_ctx);
#if VAPI_CPP_DEBUG_LEAKS
  con.on_shm_data_alloc(result);
#endif
  return result;
}

template class Msg<vapi_msg_hicn_api_udp_tunnel_add_del>;

template class Request<vapi_msg_hicn_api_udp_tunnel_add_del, vapi_msg_hicn_api_udp_tunnel_add_del_reply>;

using Hicn_api_udp_tunnel_add_del = Request<vapi_msg_hicn_api_udp_tunnel_add_del, vapi_msg_hicn_api_udp_tunnel_add_del_reply>;

template <> inline void vapi_swap_to_be<vapi_msg_hicn_api_udp_tunnel_add_del_reply>(vapi_msg_hicn_api_udp_tunnel_add_del_reply *msg)
{
  vapi_msg_hicn_api_udp_tunnel_add_del_reply_hton(msg);
}

template <> inline void vapi_swap_to_host<vapi_msg_hicn_api_udp_tunnel_add_del_reply>(vapi_msg_hicn_api_udp_tunnel_add_del_reply *msg)
{
  vapi_msg_hicn_api_udp_tunnel_add_del_reply_ntoh(msg);
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<vapi_msg_hicn_api_udp_tunnel_add_del_reply>()
{
  return ::vapi_msg_id_hicn_api_udp_tunnel_add_del_reply; 
}

template <> inline vapi_msg_id_t vapi_get_msg_id_t<Msg<vapi_msg_hicn_api_udp_tunnel_add_del_reply>>()
{
  return ::vapi_msg_id_hicn_api_udp_tunnel_add_del_reply; 
}

static void __attribute__((constructor)) __vapi_cpp_constructor_hicn_api_udp_tunnel_add_del_reply()
{
  vapi::vapi_msg_set_msg_id<vapi_msg_hicn_api_udp_tunnel_add_del_reply>(vapi_msg_id_hicn_api_udp_tunnel_add_del_reply);
}

template class Msg<vapi_msg_hicn_api_udp_tunnel_add_del_reply>;

using Hicn_api_udp_tunnel_add_del_reply = Msg<vapi_msg_hicn_api_udp_tunnel_add_del_reply>;
}
#endif
