#ifndef __included__w_workspace_hicn_merge_master_centos7_x86_64_build_hicn_plugin_src_vapi_hicn_api_json
#define __included__w_workspace_hicn_merge_master_centos7_x86_64_build_hicn_plugin_src_vapi_hicn_api_json

#include <stdlib.h>
#include <stddef.h>
#include <arpa/inet.h>
#include <vapi/vapi_internal.h>
#include <vapi/vapi.h>
#include <vapi/vapi_dbg.h>

#ifdef __cplusplus
extern "C" {
#endif
#include <vapi/vpe.api.vapi.h>

extern vapi_msg_id_t vapi_msg_id_hicn_api_node_params_set;
extern vapi_msg_id_t vapi_msg_id_hicn_api_node_params_set_reply;
extern vapi_msg_id_t vapi_msg_id_hicn_api_node_params_get;
extern vapi_msg_id_t vapi_msg_id_hicn_api_node_params_get_reply;
extern vapi_msg_id_t vapi_msg_id_hicn_api_node_stats_get;
extern vapi_msg_id_t vapi_msg_id_hicn_api_node_stats_get_reply;
extern vapi_msg_id_t vapi_msg_id_hicn_api_face_stats_details;
extern vapi_msg_id_t vapi_msg_id_hicn_api_face_stats_dump;
extern vapi_msg_id_t vapi_msg_id_hicn_api_face_params_get;
extern vapi_msg_id_t vapi_msg_id_hicn_api_face_params_get_reply;
extern vapi_msg_id_t vapi_msg_id_hicn_api_faces_details;
extern vapi_msg_id_t vapi_msg_id_hicn_api_faces_dump;
extern vapi_msg_id_t vapi_msg_id_hicn_api_face_get;
extern vapi_msg_id_t vapi_msg_id_hicn_api_face_get_reply;
extern vapi_msg_id_t vapi_msg_id_hicn_api_route_get;
extern vapi_msg_id_t vapi_msg_id_hicn_api_route_get_reply;
extern vapi_msg_id_t vapi_msg_id_hicn_api_routes_details;
extern vapi_msg_id_t vapi_msg_id_hicn_api_routes_dump;
extern vapi_msg_id_t vapi_msg_id_hicn_api_strategies_get;
extern vapi_msg_id_t vapi_msg_id_hicn_api_strategies_get_reply;
extern vapi_msg_id_t vapi_msg_id_hicn_api_strategy_get;
extern vapi_msg_id_t vapi_msg_id_hicn_api_strategy_get_reply;
extern vapi_msg_id_t vapi_msg_id_hicn_api_enable_disable;
extern vapi_msg_id_t vapi_msg_id_hicn_api_enable_disable_reply;
extern vapi_msg_id_t vapi_msg_id_hicn_api_register_prod_app;
extern vapi_msg_id_t vapi_msg_id_hicn_api_register_prod_app_reply;
extern vapi_msg_id_t vapi_msg_id_hicn_api_face_prod_del;
extern vapi_msg_id_t vapi_msg_id_hicn_api_face_prod_del_reply;
extern vapi_msg_id_t vapi_msg_id_hicn_api_register_cons_app;
extern vapi_msg_id_t vapi_msg_id_hicn_api_register_cons_app_reply;
extern vapi_msg_id_t vapi_msg_id_hicn_api_face_cons_del;
extern vapi_msg_id_t vapi_msg_id_hicn_api_face_cons_del_reply;
extern vapi_msg_id_t vapi_msg_id_hicn_api_udp_tunnel_add_del;
extern vapi_msg_id_t vapi_msg_id_hicn_api_udp_tunnel_add_del_reply;

#define DEFINE_VAPI_MSG_IDS_HICN_API_JSON\
  vapi_msg_id_t vapi_msg_id_hicn_api_node_params_set;\
  vapi_msg_id_t vapi_msg_id_hicn_api_node_params_set_reply;\
  vapi_msg_id_t vapi_msg_id_hicn_api_node_params_get;\
  vapi_msg_id_t vapi_msg_id_hicn_api_node_params_get_reply;\
  vapi_msg_id_t vapi_msg_id_hicn_api_node_stats_get;\
  vapi_msg_id_t vapi_msg_id_hicn_api_node_stats_get_reply;\
  vapi_msg_id_t vapi_msg_id_hicn_api_face_stats_details;\
  vapi_msg_id_t vapi_msg_id_hicn_api_face_stats_dump;\
  vapi_msg_id_t vapi_msg_id_hicn_api_face_params_get;\
  vapi_msg_id_t vapi_msg_id_hicn_api_face_params_get_reply;\
  vapi_msg_id_t vapi_msg_id_hicn_api_faces_details;\
  vapi_msg_id_t vapi_msg_id_hicn_api_faces_dump;\
  vapi_msg_id_t vapi_msg_id_hicn_api_face_get;\
  vapi_msg_id_t vapi_msg_id_hicn_api_face_get_reply;\
  vapi_msg_id_t vapi_msg_id_hicn_api_route_get;\
  vapi_msg_id_t vapi_msg_id_hicn_api_route_get_reply;\
  vapi_msg_id_t vapi_msg_id_hicn_api_routes_details;\
  vapi_msg_id_t vapi_msg_id_hicn_api_routes_dump;\
  vapi_msg_id_t vapi_msg_id_hicn_api_strategies_get;\
  vapi_msg_id_t vapi_msg_id_hicn_api_strategies_get_reply;\
  vapi_msg_id_t vapi_msg_id_hicn_api_strategy_get;\
  vapi_msg_id_t vapi_msg_id_hicn_api_strategy_get_reply;\
  vapi_msg_id_t vapi_msg_id_hicn_api_enable_disable;\
  vapi_msg_id_t vapi_msg_id_hicn_api_enable_disable_reply;\
  vapi_msg_id_t vapi_msg_id_hicn_api_register_prod_app;\
  vapi_msg_id_t vapi_msg_id_hicn_api_register_prod_app_reply;\
  vapi_msg_id_t vapi_msg_id_hicn_api_face_prod_del;\
  vapi_msg_id_t vapi_msg_id_hicn_api_face_prod_del_reply;\
  vapi_msg_id_t vapi_msg_id_hicn_api_register_cons_app;\
  vapi_msg_id_t vapi_msg_id_hicn_api_register_cons_app_reply;\
  vapi_msg_id_t vapi_msg_id_hicn_api_face_cons_del;\
  vapi_msg_id_t vapi_msg_id_hicn_api_face_cons_del_reply;\
  vapi_msg_id_t vapi_msg_id_hicn_api_udp_tunnel_add_del;\
  vapi_msg_id_t vapi_msg_id_hicn_api_udp_tunnel_add_del_reply;


#ifndef defined_vapi_enum_address_family
#define defined_vapi_enum_address_family
typedef enum {
  ADDRESS_IP4 = 0,
  ADDRESS_IP6 = 1,
} __attribute__((packed)) vapi_enum_address_family;

#endif

#ifndef defined_vapi_enum_ip_ecn
#define defined_vapi_enum_ip_ecn
typedef enum {
  IP_API_ECN_NONE = 0,
  IP_API_ECN_ECT0 = 1,
  IP_API_ECN_ECT1 = 2,
  IP_API_ECN_CE = 3,
} __attribute__((packed)) vapi_enum_ip_ecn;

#endif

#ifndef defined_vapi_enum_ip_dscp
#define defined_vapi_enum_ip_dscp
typedef enum {
  IP_API_DSCP_CS0 = 0,
  IP_API_DSCP_CS1 = 8,
  IP_API_DSCP_AF11 = 10,
  IP_API_DSCP_AF12 = 12,
  IP_API_DSCP_AF13 = 14,
  IP_API_DSCP_CS2 = 16,
  IP_API_DSCP_AF21 = 18,
  IP_API_DSCP_AF22 = 20,
  IP_API_DSCP_AF23 = 22,
  IP_API_DSCP_CS3 = 24,
  IP_API_DSCP_AF31 = 26,
  IP_API_DSCP_AF32 = 28,
  IP_API_DSCP_AF33 = 30,
  IP_API_DSCP_CS4 = 32,
  IP_API_DSCP_AF41 = 34,
  IP_API_DSCP_AF42 = 36,
  IP_API_DSCP_AF43 = 38,
  IP_API_DSCP_CS5 = 40,
  IP_API_DSCP_EF = 46,
  IP_API_DSCP_CS6 = 48,
  IP_API_DSCP_CS7 = 50,
} __attribute__((packed)) vapi_enum_ip_dscp;

#endif

#ifndef defined_vapi_enum_ip_proto
#define defined_vapi_enum_ip_proto
typedef enum {
  IP_API_PROTO_HOPOPT = 0,
  IP_API_PROTO_ICMP = 1,
  IP_API_PROTO_IGMP = 2,
  IP_API_PROTO_TCP = 6,
  IP_API_PROTO_UDP = 17,
  IP_API_PROTO_GRE = 47,
  IP_API_PROTO_ESP = 50,
  IP_API_PROTO_AH = 51,
  IP_API_PROTO_ICMP6 = 58,
  IP_API_PROTO_EIGRP = 88,
  IP_API_PROTO_OSPF = 89,
  IP_API_PROTO_SCTP = 132,
  IP_API_PROTO_RESERVED = 255,
} __attribute__((packed)) vapi_enum_ip_proto;

#endif

#ifndef defined_vapi_enum_hicn_action_type
#define defined_vapi_enum_hicn_action_type
typedef enum {
  HICN_DISABLE = 0,
  HICN_ENABLE = 1,
}  vapi_enum_hicn_action_type;

#endif

#ifndef defined_vapi_type_ip4_address
#define defined_vapi_type_ip4_address
typedef u8 vapi_type_ip4_address[4];

#endif

#ifndef defined_vapi_type_ip6_address
#define defined_vapi_type_ip6_address
typedef u8 vapi_type_ip6_address[16];

#endif

#ifndef defined_vapi_union_address_union
#define defined_vapi_union_address_union
typedef union {
  vapi_type_ip4_address ip4;
  vapi_type_ip6_address ip6;
} vapi_union_address_union;

#endif

#ifndef defined_vapi_type_prefix_matcher
#define defined_vapi_type_prefix_matcher
typedef struct __attribute__((__packed__)) {
  u8 le;
  u8 ge;
} vapi_type_prefix_matcher;

static inline void vapi_type_prefix_matcher_hton(vapi_type_prefix_matcher *msg)
{

}

static inline void vapi_type_prefix_matcher_ntoh(vapi_type_prefix_matcher *msg)
{

}
#endif

#ifndef defined_vapi_type_address
#define defined_vapi_type_address
typedef struct __attribute__((__packed__)) {
  vapi_enum_address_family af;
  vapi_union_address_union un;
} vapi_type_address;

static inline void vapi_type_address_hton(vapi_type_address *msg)
{

}

static inline void vapi_type_address_ntoh(vapi_type_address *msg)
{

}
#endif

#ifndef defined_vapi_type_prefix
#define defined_vapi_type_prefix
typedef struct __attribute__((__packed__)) {
  vapi_type_address address;
  u8 len;
} vapi_type_prefix;

static inline void vapi_type_prefix_hton(vapi_type_prefix *msg)
{

}

static inline void vapi_type_prefix_ntoh(vapi_type_prefix *msg)
{

}
#endif

#ifndef defined_vapi_type_mprefix
#define defined_vapi_type_mprefix
typedef struct __attribute__((__packed__)) {
  vapi_enum_address_family af;
  u16 grp_address_length;
  vapi_union_address_union grp_address;
  vapi_union_address_union src_address;
} vapi_type_mprefix;

static inline void vapi_type_mprefix_hton(vapi_type_mprefix *msg)
{
  msg->grp_address_length = htobe16(msg->grp_address_length);
}

static inline void vapi_type_mprefix_ntoh(vapi_type_mprefix *msg)
{
  msg->grp_address_length = be16toh(msg->grp_address_length);
}
#endif

#ifndef defined_vapi_type_ip6_prefix
#define defined_vapi_type_ip6_prefix
typedef struct __attribute__((__packed__)) {
  vapi_type_ip6_address address;
  u8 len;
} vapi_type_ip6_prefix;

static inline void vapi_type_ip6_prefix_hton(vapi_type_ip6_prefix *msg)
{

}

static inline void vapi_type_ip6_prefix_ntoh(vapi_type_ip6_prefix *msg)
{

}
#endif

#ifndef defined_vapi_type_ip4_prefix
#define defined_vapi_type_ip4_prefix
typedef struct __attribute__((__packed__)) {
  vapi_type_ip4_address address;
  u8 len;
} vapi_type_ip4_prefix;

static inline void vapi_type_ip4_prefix_hton(vapi_type_ip4_prefix *msg)
{

}

static inline void vapi_type_ip4_prefix_ntoh(vapi_type_ip4_prefix *msg)
{

}
#endif

#ifndef defined_vapi_type_hicn_face
#define defined_vapi_type_hicn_face
typedef struct __attribute__((__packed__)) {
  vapi_type_address nat_addr;
  u32 swif;
  u32 flags;
  u8 if_name[30];
} vapi_type_hicn_face;

static inline void vapi_type_hicn_face_hton(vapi_type_hicn_face *msg)
{
  msg->swif = htobe32(msg->swif);
  msg->flags = htobe32(msg->flags);
}

static inline void vapi_type_hicn_face_ntoh(vapi_type_hicn_face *msg)
{
  msg->swif = be32toh(msg->swif);
  msg->flags = be32toh(msg->flags);
}
#endif

#ifndef defined_vapi_type_address_with_prefix
#define defined_vapi_type_address_with_prefix
typedef vapi_type_prefix vapi_type_address_with_prefix;

#endif

#ifndef defined_vapi_type_ip4_address_with_prefix
#define defined_vapi_type_ip4_address_with_prefix
typedef vapi_type_ip4_prefix vapi_type_ip4_address_with_prefix;

#endif

#ifndef defined_vapi_type_ip6_address_with_prefix
#define defined_vapi_type_ip6_address_with_prefix
typedef vapi_type_ip6_prefix vapi_type_ip6_address_with_prefix;

#endif

#ifndef defined_vapi_msg_hicn_api_node_params_set_reply
#define defined_vapi_msg_hicn_api_node_params_set_reply
typedef struct __attribute__ ((__packed__)) {
  i32 retval; 
} vapi_payload_hicn_api_node_params_set_reply;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header1_t header;
  vapi_payload_hicn_api_node_params_set_reply payload;
} vapi_msg_hicn_api_node_params_set_reply;

static inline void vapi_msg_hicn_api_node_params_set_reply_payload_hton(vapi_payload_hicn_api_node_params_set_reply *payload)
{
  payload->retval = htobe32(payload->retval);
}

static inline void vapi_msg_hicn_api_node_params_set_reply_payload_ntoh(vapi_payload_hicn_api_node_params_set_reply *payload)
{
  payload->retval = be32toh(payload->retval);
}

static inline void vapi_msg_hicn_api_node_params_set_reply_hton(vapi_msg_hicn_api_node_params_set_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_node_params_set_reply'@%p to big endian", msg);
  vapi_type_msg_header1_t_hton(&msg->header);
  vapi_msg_hicn_api_node_params_set_reply_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_node_params_set_reply_ntoh(vapi_msg_hicn_api_node_params_set_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_node_params_set_reply'@%p to host byte order", msg);
  vapi_type_msg_header1_t_ntoh(&msg->header);
  vapi_msg_hicn_api_node_params_set_reply_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_node_params_set_reply_msg_size(vapi_msg_hicn_api_node_params_set_reply *msg)
{
  return sizeof(*msg);
}

static void __attribute__((constructor)) __vapi_constructor_hicn_api_node_params_set_reply()
{
  static const char name[] = "hicn_api_node_params_set_reply";
  static const char name_with_crc[] = "hicn_api_node_params_set_reply_e8d4e804";
  static vapi_message_desc_t __vapi_metadata_hicn_api_node_params_set_reply = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header1_t, context),
    offsetof(vapi_msg_hicn_api_node_params_set_reply, payload),
    sizeof(vapi_msg_hicn_api_node_params_set_reply),
    (generic_swap_fn_t)vapi_msg_hicn_api_node_params_set_reply_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_node_params_set_reply_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_node_params_set_reply = vapi_register_msg(&__vapi_metadata_hicn_api_node_params_set_reply);
  VAPI_DBG("Assigned msg id %d to hicn_api_node_params_set_reply", vapi_msg_id_hicn_api_node_params_set_reply);
}

static inline void vapi_set_vapi_msg_hicn_api_node_params_set_reply_event_cb (
  struct vapi_ctx_s *ctx, 
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx, void *callback_ctx, vapi_payload_hicn_api_node_params_set_reply *payload),
  void *callback_ctx)
{
  vapi_set_event_cb(ctx, vapi_msg_id_hicn_api_node_params_set_reply, (vapi_event_cb)callback, callback_ctx);
};
#endif

#ifndef defined_vapi_msg_hicn_api_node_params_set
#define defined_vapi_msg_hicn_api_node_params_set
typedef struct __attribute__ ((__packed__)) {
  u8 enable_disable;
  i32 pit_max_size;
  i32 cs_max_size;
  f64 pit_max_lifetime_sec; 
} vapi_payload_hicn_api_node_params_set;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
  vapi_payload_hicn_api_node_params_set payload;
} vapi_msg_hicn_api_node_params_set;

static inline void vapi_msg_hicn_api_node_params_set_payload_hton(vapi_payload_hicn_api_node_params_set *payload)
{
  payload->pit_max_size = htobe32(payload->pit_max_size);
  payload->cs_max_size = htobe32(payload->cs_max_size);
}

static inline void vapi_msg_hicn_api_node_params_set_payload_ntoh(vapi_payload_hicn_api_node_params_set *payload)
{
  payload->pit_max_size = be32toh(payload->pit_max_size);
  payload->cs_max_size = be32toh(payload->cs_max_size);
}

static inline void vapi_msg_hicn_api_node_params_set_hton(vapi_msg_hicn_api_node_params_set *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_node_params_set'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);
  vapi_msg_hicn_api_node_params_set_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_node_params_set_ntoh(vapi_msg_hicn_api_node_params_set *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_node_params_set'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);
  vapi_msg_hicn_api_node_params_set_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_node_params_set_msg_size(vapi_msg_hicn_api_node_params_set *msg)
{
  return sizeof(*msg);
}

static inline vapi_msg_hicn_api_node_params_set* vapi_alloc_hicn_api_node_params_set(struct vapi_ctx_s *ctx)
{
  vapi_msg_hicn_api_node_params_set *msg = NULL;
  const size_t size = sizeof(vapi_msg_hicn_api_node_params_set);
  /* cast here required to play nicely with C++ world ... */
  msg = (vapi_msg_hicn_api_node_params_set*)vapi_msg_alloc(ctx, size);
  if (!msg) {
    return NULL;
  }
  msg->header.client_index = vapi_get_client_index(ctx);
  msg->header.context = 0;
  msg->header._vl_msg_id = vapi_lookup_vl_msg_id(ctx, vapi_msg_id_hicn_api_node_params_set);

  return msg;
}

static inline vapi_error_e vapi_hicn_api_node_params_set(struct vapi_ctx_s *ctx,
  vapi_msg_hicn_api_node_params_set *msg,
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx,
                           void *callback_ctx,
                           vapi_error_e rv,
                           bool is_last,
                           vapi_payload_hicn_api_node_params_set_reply *reply),
  void *callback_ctx)
{
  if (!msg || !callback) {
    return VAPI_EINVAL;
  }
  if (vapi_is_nonblocking(ctx) && vapi_requests_full(ctx)) {
    return VAPI_EAGAIN;
  }
  vapi_error_e rv;
  if (VAPI_OK != (rv = vapi_producer_lock (ctx))) {
    return rv;
  }
  u32 req_context = vapi_gen_req_context(ctx);
  msg->header.context = req_context;
  vapi_msg_hicn_api_node_params_set_hton(msg);
  if (VAPI_OK == (rv = vapi_send (ctx, msg))) {
    vapi_store_request(ctx, req_context, false, (vapi_cb_t)callback, callback_ctx);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
    if (vapi_is_nonblocking(ctx)) {
      rv = VAPI_OK;
    } else {
      rv = vapi_dispatch(ctx);
    }
  } else {
    vapi_msg_hicn_api_node_params_set_ntoh(msg);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
  }
  return rv;
}


static void __attribute__((constructor)) __vapi_constructor_hicn_api_node_params_set()
{
  static const char name[] = "hicn_api_node_params_set";
  static const char name_with_crc[] = "hicn_api_node_params_set_e8ab8343";
  static vapi_message_desc_t __vapi_metadata_hicn_api_node_params_set = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    offsetof(vapi_msg_hicn_api_node_params_set, payload),
    sizeof(vapi_msg_hicn_api_node_params_set),
    (generic_swap_fn_t)vapi_msg_hicn_api_node_params_set_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_node_params_set_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_node_params_set = vapi_register_msg(&__vapi_metadata_hicn_api_node_params_set);
  VAPI_DBG("Assigned msg id %d to hicn_api_node_params_set", vapi_msg_id_hicn_api_node_params_set);
}
#endif

#ifndef defined_vapi_msg_hicn_api_node_params_get_reply
#define defined_vapi_msg_hicn_api_node_params_get_reply
typedef struct __attribute__ ((__packed__)) {
  i32 retval;
  u8 is_enabled;
  u8 feature_cs;
  u32 worker_count;
  u32 pit_max_size;
  u32 cs_max_size;
  f64 pit_max_lifetime_sec; 
} vapi_payload_hicn_api_node_params_get_reply;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header1_t header;
  vapi_payload_hicn_api_node_params_get_reply payload;
} vapi_msg_hicn_api_node_params_get_reply;

static inline void vapi_msg_hicn_api_node_params_get_reply_payload_hton(vapi_payload_hicn_api_node_params_get_reply *payload)
{
  payload->retval = htobe32(payload->retval);
  payload->worker_count = htobe32(payload->worker_count);
  payload->pit_max_size = htobe32(payload->pit_max_size);
  payload->cs_max_size = htobe32(payload->cs_max_size);
}

static inline void vapi_msg_hicn_api_node_params_get_reply_payload_ntoh(vapi_payload_hicn_api_node_params_get_reply *payload)
{
  payload->retval = be32toh(payload->retval);
  payload->worker_count = be32toh(payload->worker_count);
  payload->pit_max_size = be32toh(payload->pit_max_size);
  payload->cs_max_size = be32toh(payload->cs_max_size);
}

static inline void vapi_msg_hicn_api_node_params_get_reply_hton(vapi_msg_hicn_api_node_params_get_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_node_params_get_reply'@%p to big endian", msg);
  vapi_type_msg_header1_t_hton(&msg->header);
  vapi_msg_hicn_api_node_params_get_reply_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_node_params_get_reply_ntoh(vapi_msg_hicn_api_node_params_get_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_node_params_get_reply'@%p to host byte order", msg);
  vapi_type_msg_header1_t_ntoh(&msg->header);
  vapi_msg_hicn_api_node_params_get_reply_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_node_params_get_reply_msg_size(vapi_msg_hicn_api_node_params_get_reply *msg)
{
  return sizeof(*msg);
}

static void __attribute__((constructor)) __vapi_constructor_hicn_api_node_params_get_reply()
{
  static const char name[] = "hicn_api_node_params_get_reply";
  static const char name_with_crc[] = "hicn_api_node_params_get_reply_16f5d026";
  static vapi_message_desc_t __vapi_metadata_hicn_api_node_params_get_reply = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header1_t, context),
    offsetof(vapi_msg_hicn_api_node_params_get_reply, payload),
    sizeof(vapi_msg_hicn_api_node_params_get_reply),
    (generic_swap_fn_t)vapi_msg_hicn_api_node_params_get_reply_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_node_params_get_reply_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_node_params_get_reply = vapi_register_msg(&__vapi_metadata_hicn_api_node_params_get_reply);
  VAPI_DBG("Assigned msg id %d to hicn_api_node_params_get_reply", vapi_msg_id_hicn_api_node_params_get_reply);
}

static inline void vapi_set_vapi_msg_hicn_api_node_params_get_reply_event_cb (
  struct vapi_ctx_s *ctx, 
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx, void *callback_ctx, vapi_payload_hicn_api_node_params_get_reply *payload),
  void *callback_ctx)
{
  vapi_set_event_cb(ctx, vapi_msg_id_hicn_api_node_params_get_reply, (vapi_event_cb)callback, callback_ctx);
};
#endif

#ifndef defined_vapi_msg_hicn_api_node_params_get
#define defined_vapi_msg_hicn_api_node_params_get
typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
} vapi_msg_hicn_api_node_params_get;

static inline void vapi_msg_hicn_api_node_params_get_hton(vapi_msg_hicn_api_node_params_get *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_node_params_get'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);

}

static inline void vapi_msg_hicn_api_node_params_get_ntoh(vapi_msg_hicn_api_node_params_get *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_node_params_get'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);

}

static inline uword vapi_calc_hicn_api_node_params_get_msg_size(vapi_msg_hicn_api_node_params_get *msg)
{
  return sizeof(*msg);
}

static inline vapi_msg_hicn_api_node_params_get* vapi_alloc_hicn_api_node_params_get(struct vapi_ctx_s *ctx)
{
  vapi_msg_hicn_api_node_params_get *msg = NULL;
  const size_t size = sizeof(vapi_msg_hicn_api_node_params_get);
  /* cast here required to play nicely with C++ world ... */
  msg = (vapi_msg_hicn_api_node_params_get*)vapi_msg_alloc(ctx, size);
  if (!msg) {
    return NULL;
  }
  msg->header.client_index = vapi_get_client_index(ctx);
  msg->header.context = 0;
  msg->header._vl_msg_id = vapi_lookup_vl_msg_id(ctx, vapi_msg_id_hicn_api_node_params_get);

  return msg;
}

static inline vapi_error_e vapi_hicn_api_node_params_get(struct vapi_ctx_s *ctx,
  vapi_msg_hicn_api_node_params_get *msg,
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx,
                           void *callback_ctx,
                           vapi_error_e rv,
                           bool is_last,
                           vapi_payload_hicn_api_node_params_get_reply *reply),
  void *callback_ctx)
{
  if (!msg || !callback) {
    return VAPI_EINVAL;
  }
  if (vapi_is_nonblocking(ctx) && vapi_requests_full(ctx)) {
    return VAPI_EAGAIN;
  }
  vapi_error_e rv;
  if (VAPI_OK != (rv = vapi_producer_lock (ctx))) {
    return rv;
  }
  u32 req_context = vapi_gen_req_context(ctx);
  msg->header.context = req_context;
  vapi_msg_hicn_api_node_params_get_hton(msg);
  if (VAPI_OK == (rv = vapi_send (ctx, msg))) {
    vapi_store_request(ctx, req_context, false, (vapi_cb_t)callback, callback_ctx);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
    if (vapi_is_nonblocking(ctx)) {
      rv = VAPI_OK;
    } else {
      rv = vapi_dispatch(ctx);
    }
  } else {
    vapi_msg_hicn_api_node_params_get_ntoh(msg);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
  }
  return rv;
}


static void __attribute__((constructor)) __vapi_constructor_hicn_api_node_params_get()
{
  static const char name[] = "hicn_api_node_params_get";
  static const char name_with_crc[] = "hicn_api_node_params_get_51077d14";
  static vapi_message_desc_t __vapi_metadata_hicn_api_node_params_get = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    VAPI_INVALID_MSG_ID,
    sizeof(vapi_msg_hicn_api_node_params_get),
    (generic_swap_fn_t)vapi_msg_hicn_api_node_params_get_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_node_params_get_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_node_params_get = vapi_register_msg(&__vapi_metadata_hicn_api_node_params_get);
  VAPI_DBG("Assigned msg id %d to hicn_api_node_params_get", vapi_msg_id_hicn_api_node_params_get);
}
#endif

#ifndef defined_vapi_msg_hicn_api_node_stats_get_reply
#define defined_vapi_msg_hicn_api_node_stats_get_reply
typedef struct __attribute__ ((__packed__)) {
  i32 retval;
  u64 pkts_processed;
  u64 pkts_interest_count;
  u64 pkts_data_count;
  u64 pkts_from_cache_count;
  u64 pkts_no_pit_count;
  u64 pit_expired_count;
  u64 cs_expired_count;
  u64 cs_lru_count;
  u64 pkts_drop_no_buf;
  u64 interests_aggregated;
  u64 interests_retx;
  u64 interests_hash_collision;
  u64 pit_entries_count;
  u64 cs_entries_count;
  u64 cs_entries_ntw_count; 
} vapi_payload_hicn_api_node_stats_get_reply;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
  vapi_payload_hicn_api_node_stats_get_reply payload;
} vapi_msg_hicn_api_node_stats_get_reply;

static inline void vapi_msg_hicn_api_node_stats_get_reply_payload_hton(vapi_payload_hicn_api_node_stats_get_reply *payload)
{
  payload->retval = htobe32(payload->retval);
  payload->pkts_processed = htobe64(payload->pkts_processed);
  payload->pkts_interest_count = htobe64(payload->pkts_interest_count);
  payload->pkts_data_count = htobe64(payload->pkts_data_count);
  payload->pkts_from_cache_count = htobe64(payload->pkts_from_cache_count);
  payload->pkts_no_pit_count = htobe64(payload->pkts_no_pit_count);
  payload->pit_expired_count = htobe64(payload->pit_expired_count);
  payload->cs_expired_count = htobe64(payload->cs_expired_count);
  payload->cs_lru_count = htobe64(payload->cs_lru_count);
  payload->pkts_drop_no_buf = htobe64(payload->pkts_drop_no_buf);
  payload->interests_aggregated = htobe64(payload->interests_aggregated);
  payload->interests_retx = htobe64(payload->interests_retx);
  payload->interests_hash_collision = htobe64(payload->interests_hash_collision);
  payload->pit_entries_count = htobe64(payload->pit_entries_count);
  payload->cs_entries_count = htobe64(payload->cs_entries_count);
  payload->cs_entries_ntw_count = htobe64(payload->cs_entries_ntw_count);
}

static inline void vapi_msg_hicn_api_node_stats_get_reply_payload_ntoh(vapi_payload_hicn_api_node_stats_get_reply *payload)
{
  payload->retval = be32toh(payload->retval);
  payload->pkts_processed = be64toh(payload->pkts_processed);
  payload->pkts_interest_count = be64toh(payload->pkts_interest_count);
  payload->pkts_data_count = be64toh(payload->pkts_data_count);
  payload->pkts_from_cache_count = be64toh(payload->pkts_from_cache_count);
  payload->pkts_no_pit_count = be64toh(payload->pkts_no_pit_count);
  payload->pit_expired_count = be64toh(payload->pit_expired_count);
  payload->cs_expired_count = be64toh(payload->cs_expired_count);
  payload->cs_lru_count = be64toh(payload->cs_lru_count);
  payload->pkts_drop_no_buf = be64toh(payload->pkts_drop_no_buf);
  payload->interests_aggregated = be64toh(payload->interests_aggregated);
  payload->interests_retx = be64toh(payload->interests_retx);
  payload->interests_hash_collision = be64toh(payload->interests_hash_collision);
  payload->pit_entries_count = be64toh(payload->pit_entries_count);
  payload->cs_entries_count = be64toh(payload->cs_entries_count);
  payload->cs_entries_ntw_count = be64toh(payload->cs_entries_ntw_count);
}

static inline void vapi_msg_hicn_api_node_stats_get_reply_hton(vapi_msg_hicn_api_node_stats_get_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_node_stats_get_reply'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);
  vapi_msg_hicn_api_node_stats_get_reply_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_node_stats_get_reply_ntoh(vapi_msg_hicn_api_node_stats_get_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_node_stats_get_reply'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);
  vapi_msg_hicn_api_node_stats_get_reply_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_node_stats_get_reply_msg_size(vapi_msg_hicn_api_node_stats_get_reply *msg)
{
  return sizeof(*msg);
}

static void __attribute__((constructor)) __vapi_constructor_hicn_api_node_stats_get_reply()
{
  static const char name[] = "hicn_api_node_stats_get_reply";
  static const char name_with_crc[] = "hicn_api_node_stats_get_reply_6b38e79b";
  static vapi_message_desc_t __vapi_metadata_hicn_api_node_stats_get_reply = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    offsetof(vapi_msg_hicn_api_node_stats_get_reply, payload),
    sizeof(vapi_msg_hicn_api_node_stats_get_reply),
    (generic_swap_fn_t)vapi_msg_hicn_api_node_stats_get_reply_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_node_stats_get_reply_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_node_stats_get_reply = vapi_register_msg(&__vapi_metadata_hicn_api_node_stats_get_reply);
  VAPI_DBG("Assigned msg id %d to hicn_api_node_stats_get_reply", vapi_msg_id_hicn_api_node_stats_get_reply);
}

static inline void vapi_set_vapi_msg_hicn_api_node_stats_get_reply_event_cb (
  struct vapi_ctx_s *ctx, 
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx, void *callback_ctx, vapi_payload_hicn_api_node_stats_get_reply *payload),
  void *callback_ctx)
{
  vapi_set_event_cb(ctx, vapi_msg_id_hicn_api_node_stats_get_reply, (vapi_event_cb)callback, callback_ctx);
};
#endif

#ifndef defined_vapi_msg_hicn_api_node_stats_get
#define defined_vapi_msg_hicn_api_node_stats_get
typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
} vapi_msg_hicn_api_node_stats_get;

static inline void vapi_msg_hicn_api_node_stats_get_hton(vapi_msg_hicn_api_node_stats_get *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_node_stats_get'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);

}

static inline void vapi_msg_hicn_api_node_stats_get_ntoh(vapi_msg_hicn_api_node_stats_get *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_node_stats_get'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);

}

static inline uword vapi_calc_hicn_api_node_stats_get_msg_size(vapi_msg_hicn_api_node_stats_get *msg)
{
  return sizeof(*msg);
}

static inline vapi_msg_hicn_api_node_stats_get* vapi_alloc_hicn_api_node_stats_get(struct vapi_ctx_s *ctx)
{
  vapi_msg_hicn_api_node_stats_get *msg = NULL;
  const size_t size = sizeof(vapi_msg_hicn_api_node_stats_get);
  /* cast here required to play nicely with C++ world ... */
  msg = (vapi_msg_hicn_api_node_stats_get*)vapi_msg_alloc(ctx, size);
  if (!msg) {
    return NULL;
  }
  msg->header.client_index = vapi_get_client_index(ctx);
  msg->header.context = 0;
  msg->header._vl_msg_id = vapi_lookup_vl_msg_id(ctx, vapi_msg_id_hicn_api_node_stats_get);

  return msg;
}

static inline vapi_error_e vapi_hicn_api_node_stats_get(struct vapi_ctx_s *ctx,
  vapi_msg_hicn_api_node_stats_get *msg,
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx,
                           void *callback_ctx,
                           vapi_error_e rv,
                           bool is_last,
                           vapi_payload_hicn_api_node_stats_get_reply *reply),
  void *callback_ctx)
{
  if (!msg || !callback) {
    return VAPI_EINVAL;
  }
  if (vapi_is_nonblocking(ctx) && vapi_requests_full(ctx)) {
    return VAPI_EAGAIN;
  }
  vapi_error_e rv;
  if (VAPI_OK != (rv = vapi_producer_lock (ctx))) {
    return rv;
  }
  u32 req_context = vapi_gen_req_context(ctx);
  msg->header.context = req_context;
  vapi_msg_hicn_api_node_stats_get_hton(msg);
  if (VAPI_OK == (rv = vapi_send (ctx, msg))) {
    vapi_store_request(ctx, req_context, false, (vapi_cb_t)callback, callback_ctx);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
    if (vapi_is_nonblocking(ctx)) {
      rv = VAPI_OK;
    } else {
      rv = vapi_dispatch(ctx);
    }
  } else {
    vapi_msg_hicn_api_node_stats_get_ntoh(msg);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
  }
  return rv;
}


static void __attribute__((constructor)) __vapi_constructor_hicn_api_node_stats_get()
{
  static const char name[] = "hicn_api_node_stats_get";
  static const char name_with_crc[] = "hicn_api_node_stats_get_51077d14";
  static vapi_message_desc_t __vapi_metadata_hicn_api_node_stats_get = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    VAPI_INVALID_MSG_ID,
    sizeof(vapi_msg_hicn_api_node_stats_get),
    (generic_swap_fn_t)vapi_msg_hicn_api_node_stats_get_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_node_stats_get_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_node_stats_get = vapi_register_msg(&__vapi_metadata_hicn_api_node_stats_get);
  VAPI_DBG("Assigned msg id %d to hicn_api_node_stats_get", vapi_msg_id_hicn_api_node_stats_get);
}
#endif

#ifndef defined_vapi_msg_hicn_api_face_stats_details
#define defined_vapi_msg_hicn_api_face_stats_details
typedef struct __attribute__ ((__packed__)) {
  i32 retval;
  u32 faceid;
  u64 irx_packets;
  u64 irx_bytes;
  u64 itx_packets;
  u64 itx_bytes;
  u64 drx_packets;
  u64 drx_bytes;
  u64 dtx_packets;
  u64 dtx_bytes; 
} vapi_payload_hicn_api_face_stats_details;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header1_t header;
  vapi_payload_hicn_api_face_stats_details payload;
} vapi_msg_hicn_api_face_stats_details;

static inline void vapi_msg_hicn_api_face_stats_details_payload_hton(vapi_payload_hicn_api_face_stats_details *payload)
{
  payload->retval = htobe32(payload->retval);
  payload->faceid = htobe32(payload->faceid);
  payload->irx_packets = htobe64(payload->irx_packets);
  payload->irx_bytes = htobe64(payload->irx_bytes);
  payload->itx_packets = htobe64(payload->itx_packets);
  payload->itx_bytes = htobe64(payload->itx_bytes);
  payload->drx_packets = htobe64(payload->drx_packets);
  payload->drx_bytes = htobe64(payload->drx_bytes);
  payload->dtx_packets = htobe64(payload->dtx_packets);
  payload->dtx_bytes = htobe64(payload->dtx_bytes);
}

static inline void vapi_msg_hicn_api_face_stats_details_payload_ntoh(vapi_payload_hicn_api_face_stats_details *payload)
{
  payload->retval = be32toh(payload->retval);
  payload->faceid = be32toh(payload->faceid);
  payload->irx_packets = be64toh(payload->irx_packets);
  payload->irx_bytes = be64toh(payload->irx_bytes);
  payload->itx_packets = be64toh(payload->itx_packets);
  payload->itx_bytes = be64toh(payload->itx_bytes);
  payload->drx_packets = be64toh(payload->drx_packets);
  payload->drx_bytes = be64toh(payload->drx_bytes);
  payload->dtx_packets = be64toh(payload->dtx_packets);
  payload->dtx_bytes = be64toh(payload->dtx_bytes);
}

static inline void vapi_msg_hicn_api_face_stats_details_hton(vapi_msg_hicn_api_face_stats_details *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_face_stats_details'@%p to big endian", msg);
  vapi_type_msg_header1_t_hton(&msg->header);
  vapi_msg_hicn_api_face_stats_details_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_face_stats_details_ntoh(vapi_msg_hicn_api_face_stats_details *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_face_stats_details'@%p to host byte order", msg);
  vapi_type_msg_header1_t_ntoh(&msg->header);
  vapi_msg_hicn_api_face_stats_details_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_face_stats_details_msg_size(vapi_msg_hicn_api_face_stats_details *msg)
{
  return sizeof(*msg);
}

static void __attribute__((constructor)) __vapi_constructor_hicn_api_face_stats_details()
{
  static const char name[] = "hicn_api_face_stats_details";
  static const char name_with_crc[] = "hicn_api_face_stats_details_16c80415";
  static vapi_message_desc_t __vapi_metadata_hicn_api_face_stats_details = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header1_t, context),
    offsetof(vapi_msg_hicn_api_face_stats_details, payload),
    sizeof(vapi_msg_hicn_api_face_stats_details),
    (generic_swap_fn_t)vapi_msg_hicn_api_face_stats_details_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_face_stats_details_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_face_stats_details = vapi_register_msg(&__vapi_metadata_hicn_api_face_stats_details);
  VAPI_DBG("Assigned msg id %d to hicn_api_face_stats_details", vapi_msg_id_hicn_api_face_stats_details);
}

static inline void vapi_set_vapi_msg_hicn_api_face_stats_details_event_cb (
  struct vapi_ctx_s *ctx, 
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx, void *callback_ctx, vapi_payload_hicn_api_face_stats_details *payload),
  void *callback_ctx)
{
  vapi_set_event_cb(ctx, vapi_msg_id_hicn_api_face_stats_details, (vapi_event_cb)callback, callback_ctx);
};
#endif

#ifndef defined_vapi_msg_hicn_api_face_stats_dump
#define defined_vapi_msg_hicn_api_face_stats_dump
typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
} vapi_msg_hicn_api_face_stats_dump;

static inline void vapi_msg_hicn_api_face_stats_dump_hton(vapi_msg_hicn_api_face_stats_dump *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_face_stats_dump'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);

}

static inline void vapi_msg_hicn_api_face_stats_dump_ntoh(vapi_msg_hicn_api_face_stats_dump *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_face_stats_dump'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);

}

static inline uword vapi_calc_hicn_api_face_stats_dump_msg_size(vapi_msg_hicn_api_face_stats_dump *msg)
{
  return sizeof(*msg);
}

static inline vapi_msg_hicn_api_face_stats_dump* vapi_alloc_hicn_api_face_stats_dump(struct vapi_ctx_s *ctx)
{
  vapi_msg_hicn_api_face_stats_dump *msg = NULL;
  const size_t size = sizeof(vapi_msg_hicn_api_face_stats_dump);
  /* cast here required to play nicely with C++ world ... */
  msg = (vapi_msg_hicn_api_face_stats_dump*)vapi_msg_alloc(ctx, size);
  if (!msg) {
    return NULL;
  }
  msg->header.client_index = vapi_get_client_index(ctx);
  msg->header.context = 0;
  msg->header._vl_msg_id = vapi_lookup_vl_msg_id(ctx, vapi_msg_id_hicn_api_face_stats_dump);

  return msg;
}

static inline vapi_error_e vapi_hicn_api_face_stats_dump(struct vapi_ctx_s *ctx,
  vapi_msg_hicn_api_face_stats_dump *msg,
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx,
                           void *callback_ctx,
                           vapi_error_e rv,
                           bool is_last,
                           vapi_payload_hicn_api_face_stats_details *reply),
  void *callback_ctx)
{
  if (!msg || !callback) {
    return VAPI_EINVAL;
  }
  if (vapi_is_nonblocking(ctx) && vapi_requests_full(ctx)) {
    return VAPI_EAGAIN;
  }
  vapi_error_e rv;
  if (VAPI_OK != (rv = vapi_producer_lock (ctx))) {
    return rv;
  }
  u32 req_context = vapi_gen_req_context(ctx);
  msg->header.context = req_context;
  vapi_msg_hicn_api_face_stats_dump_hton(msg);
  if (VAPI_OK == (rv = vapi_send_with_control_ping (ctx, msg, req_context))) {
    vapi_store_request(ctx, req_context, true, (vapi_cb_t)callback, callback_ctx);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
    if (vapi_is_nonblocking(ctx)) {
      rv = VAPI_OK;
    } else {
      rv = vapi_dispatch(ctx);
    }
  } else {
    vapi_msg_hicn_api_face_stats_dump_ntoh(msg);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
  }
  return rv;
}


static void __attribute__((constructor)) __vapi_constructor_hicn_api_face_stats_dump()
{
  static const char name[] = "hicn_api_face_stats_dump";
  static const char name_with_crc[] = "hicn_api_face_stats_dump_51077d14";
  static vapi_message_desc_t __vapi_metadata_hicn_api_face_stats_dump = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    VAPI_INVALID_MSG_ID,
    sizeof(vapi_msg_hicn_api_face_stats_dump),
    (generic_swap_fn_t)vapi_msg_hicn_api_face_stats_dump_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_face_stats_dump_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_face_stats_dump = vapi_register_msg(&__vapi_metadata_hicn_api_face_stats_dump);
  VAPI_DBG("Assigned msg id %d to hicn_api_face_stats_dump", vapi_msg_id_hicn_api_face_stats_dump);
}
#endif

#ifndef defined_vapi_msg_hicn_api_face_params_get_reply
#define defined_vapi_msg_hicn_api_face_params_get_reply
typedef struct __attribute__ ((__packed__)) {
  i32 retval;
  u32 faceid;
  vapi_type_address nat_addr;
  u32 swif;
  u32 flags; 
} vapi_payload_hicn_api_face_params_get_reply;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header1_t header;
  vapi_payload_hicn_api_face_params_get_reply payload;
} vapi_msg_hicn_api_face_params_get_reply;

static inline void vapi_msg_hicn_api_face_params_get_reply_payload_hton(vapi_payload_hicn_api_face_params_get_reply *payload)
{
  payload->retval = htobe32(payload->retval);
  payload->faceid = htobe32(payload->faceid);
  payload->swif = htobe32(payload->swif);
  payload->flags = htobe32(payload->flags);
}

static inline void vapi_msg_hicn_api_face_params_get_reply_payload_ntoh(vapi_payload_hicn_api_face_params_get_reply *payload)
{
  payload->retval = be32toh(payload->retval);
  payload->faceid = be32toh(payload->faceid);
  payload->swif = be32toh(payload->swif);
  payload->flags = be32toh(payload->flags);
}

static inline void vapi_msg_hicn_api_face_params_get_reply_hton(vapi_msg_hicn_api_face_params_get_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_face_params_get_reply'@%p to big endian", msg);
  vapi_type_msg_header1_t_hton(&msg->header);
  vapi_msg_hicn_api_face_params_get_reply_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_face_params_get_reply_ntoh(vapi_msg_hicn_api_face_params_get_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_face_params_get_reply'@%p to host byte order", msg);
  vapi_type_msg_header1_t_ntoh(&msg->header);
  vapi_msg_hicn_api_face_params_get_reply_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_face_params_get_reply_msg_size(vapi_msg_hicn_api_face_params_get_reply *msg)
{
  return sizeof(*msg);
}

static void __attribute__((constructor)) __vapi_constructor_hicn_api_face_params_get_reply()
{
  static const char name[] = "hicn_api_face_params_get_reply";
  static const char name_with_crc[] = "hicn_api_face_params_get_reply_1680ab90";
  static vapi_message_desc_t __vapi_metadata_hicn_api_face_params_get_reply = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header1_t, context),
    offsetof(vapi_msg_hicn_api_face_params_get_reply, payload),
    sizeof(vapi_msg_hicn_api_face_params_get_reply),
    (generic_swap_fn_t)vapi_msg_hicn_api_face_params_get_reply_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_face_params_get_reply_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_face_params_get_reply = vapi_register_msg(&__vapi_metadata_hicn_api_face_params_get_reply);
  VAPI_DBG("Assigned msg id %d to hicn_api_face_params_get_reply", vapi_msg_id_hicn_api_face_params_get_reply);
}

static inline void vapi_set_vapi_msg_hicn_api_face_params_get_reply_event_cb (
  struct vapi_ctx_s *ctx, 
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx, void *callback_ctx, vapi_payload_hicn_api_face_params_get_reply *payload),
  void *callback_ctx)
{
  vapi_set_event_cb(ctx, vapi_msg_id_hicn_api_face_params_get_reply, (vapi_event_cb)callback, callback_ctx);
};
#endif

#ifndef defined_vapi_msg_hicn_api_face_params_get
#define defined_vapi_msg_hicn_api_face_params_get
typedef struct __attribute__ ((__packed__)) {
  u32 faceid; 
} vapi_payload_hicn_api_face_params_get;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
  vapi_payload_hicn_api_face_params_get payload;
} vapi_msg_hicn_api_face_params_get;

static inline void vapi_msg_hicn_api_face_params_get_payload_hton(vapi_payload_hicn_api_face_params_get *payload)
{
  payload->faceid = htobe32(payload->faceid);
}

static inline void vapi_msg_hicn_api_face_params_get_payload_ntoh(vapi_payload_hicn_api_face_params_get *payload)
{
  payload->faceid = be32toh(payload->faceid);
}

static inline void vapi_msg_hicn_api_face_params_get_hton(vapi_msg_hicn_api_face_params_get *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_face_params_get'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);
  vapi_msg_hicn_api_face_params_get_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_face_params_get_ntoh(vapi_msg_hicn_api_face_params_get *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_face_params_get'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);
  vapi_msg_hicn_api_face_params_get_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_face_params_get_msg_size(vapi_msg_hicn_api_face_params_get *msg)
{
  return sizeof(*msg);
}

static inline vapi_msg_hicn_api_face_params_get* vapi_alloc_hicn_api_face_params_get(struct vapi_ctx_s *ctx)
{
  vapi_msg_hicn_api_face_params_get *msg = NULL;
  const size_t size = sizeof(vapi_msg_hicn_api_face_params_get);
  /* cast here required to play nicely with C++ world ... */
  msg = (vapi_msg_hicn_api_face_params_get*)vapi_msg_alloc(ctx, size);
  if (!msg) {
    return NULL;
  }
  msg->header.client_index = vapi_get_client_index(ctx);
  msg->header.context = 0;
  msg->header._vl_msg_id = vapi_lookup_vl_msg_id(ctx, vapi_msg_id_hicn_api_face_params_get);

  return msg;
}

static inline vapi_error_e vapi_hicn_api_face_params_get(struct vapi_ctx_s *ctx,
  vapi_msg_hicn_api_face_params_get *msg,
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx,
                           void *callback_ctx,
                           vapi_error_e rv,
                           bool is_last,
                           vapi_payload_hicn_api_face_params_get_reply *reply),
  void *callback_ctx)
{
  if (!msg || !callback) {
    return VAPI_EINVAL;
  }
  if (vapi_is_nonblocking(ctx) && vapi_requests_full(ctx)) {
    return VAPI_EAGAIN;
  }
  vapi_error_e rv;
  if (VAPI_OK != (rv = vapi_producer_lock (ctx))) {
    return rv;
  }
  u32 req_context = vapi_gen_req_context(ctx);
  msg->header.context = req_context;
  vapi_msg_hicn_api_face_params_get_hton(msg);
  if (VAPI_OK == (rv = vapi_send (ctx, msg))) {
    vapi_store_request(ctx, req_context, false, (vapi_cb_t)callback, callback_ctx);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
    if (vapi_is_nonblocking(ctx)) {
      rv = VAPI_OK;
    } else {
      rv = vapi_dispatch(ctx);
    }
  } else {
    vapi_msg_hicn_api_face_params_get_ntoh(msg);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
  }
  return rv;
}


static void __attribute__((constructor)) __vapi_constructor_hicn_api_face_params_get()
{
  static const char name[] = "hicn_api_face_params_get";
  static const char name_with_crc[] = "hicn_api_face_params_get_ab295484";
  static vapi_message_desc_t __vapi_metadata_hicn_api_face_params_get = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    offsetof(vapi_msg_hicn_api_face_params_get, payload),
    sizeof(vapi_msg_hicn_api_face_params_get),
    (generic_swap_fn_t)vapi_msg_hicn_api_face_params_get_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_face_params_get_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_face_params_get = vapi_register_msg(&__vapi_metadata_hicn_api_face_params_get);
  VAPI_DBG("Assigned msg id %d to hicn_api_face_params_get", vapi_msg_id_hicn_api_face_params_get);
}
#endif

#ifndef defined_vapi_msg_hicn_api_faces_details
#define defined_vapi_msg_hicn_api_faces_details
typedef struct __attribute__ ((__packed__)) {
  i32 retval;
  u32 faceid;
  vapi_type_hicn_face face; 
} vapi_payload_hicn_api_faces_details;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header1_t header;
  vapi_payload_hicn_api_faces_details payload;
} vapi_msg_hicn_api_faces_details;

static inline void vapi_msg_hicn_api_faces_details_payload_hton(vapi_payload_hicn_api_faces_details *payload)
{
  payload->retval = htobe32(payload->retval);
  payload->faceid = htobe32(payload->faceid);
  vapi_type_hicn_face_hton(&payload->face);
}

static inline void vapi_msg_hicn_api_faces_details_payload_ntoh(vapi_payload_hicn_api_faces_details *payload)
{
  payload->retval = be32toh(payload->retval);
  payload->faceid = be32toh(payload->faceid);
  vapi_type_hicn_face_ntoh(&payload->face);
}

static inline void vapi_msg_hicn_api_faces_details_hton(vapi_msg_hicn_api_faces_details *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_faces_details'@%p to big endian", msg);
  vapi_type_msg_header1_t_hton(&msg->header);
  vapi_msg_hicn_api_faces_details_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_faces_details_ntoh(vapi_msg_hicn_api_faces_details *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_faces_details'@%p to host byte order", msg);
  vapi_type_msg_header1_t_ntoh(&msg->header);
  vapi_msg_hicn_api_faces_details_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_faces_details_msg_size(vapi_msg_hicn_api_faces_details *msg)
{
  return sizeof(*msg);
}

static void __attribute__((constructor)) __vapi_constructor_hicn_api_faces_details()
{
  static const char name[] = "hicn_api_faces_details";
  static const char name_with_crc[] = "hicn_api_faces_details_79f8efa8";
  static vapi_message_desc_t __vapi_metadata_hicn_api_faces_details = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header1_t, context),
    offsetof(vapi_msg_hicn_api_faces_details, payload),
    sizeof(vapi_msg_hicn_api_faces_details),
    (generic_swap_fn_t)vapi_msg_hicn_api_faces_details_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_faces_details_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_faces_details = vapi_register_msg(&__vapi_metadata_hicn_api_faces_details);
  VAPI_DBG("Assigned msg id %d to hicn_api_faces_details", vapi_msg_id_hicn_api_faces_details);
}

static inline void vapi_set_vapi_msg_hicn_api_faces_details_event_cb (
  struct vapi_ctx_s *ctx, 
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx, void *callback_ctx, vapi_payload_hicn_api_faces_details *payload),
  void *callback_ctx)
{
  vapi_set_event_cb(ctx, vapi_msg_id_hicn_api_faces_details, (vapi_event_cb)callback, callback_ctx);
};
#endif

#ifndef defined_vapi_msg_hicn_api_faces_dump
#define defined_vapi_msg_hicn_api_faces_dump
typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
} vapi_msg_hicn_api_faces_dump;

static inline void vapi_msg_hicn_api_faces_dump_hton(vapi_msg_hicn_api_faces_dump *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_faces_dump'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);

}

static inline void vapi_msg_hicn_api_faces_dump_ntoh(vapi_msg_hicn_api_faces_dump *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_faces_dump'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);

}

static inline uword vapi_calc_hicn_api_faces_dump_msg_size(vapi_msg_hicn_api_faces_dump *msg)
{
  return sizeof(*msg);
}

static inline vapi_msg_hicn_api_faces_dump* vapi_alloc_hicn_api_faces_dump(struct vapi_ctx_s *ctx)
{
  vapi_msg_hicn_api_faces_dump *msg = NULL;
  const size_t size = sizeof(vapi_msg_hicn_api_faces_dump);
  /* cast here required to play nicely with C++ world ... */
  msg = (vapi_msg_hicn_api_faces_dump*)vapi_msg_alloc(ctx, size);
  if (!msg) {
    return NULL;
  }
  msg->header.client_index = vapi_get_client_index(ctx);
  msg->header.context = 0;
  msg->header._vl_msg_id = vapi_lookup_vl_msg_id(ctx, vapi_msg_id_hicn_api_faces_dump);

  return msg;
}

static inline vapi_error_e vapi_hicn_api_faces_dump(struct vapi_ctx_s *ctx,
  vapi_msg_hicn_api_faces_dump *msg,
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx,
                           void *callback_ctx,
                           vapi_error_e rv,
                           bool is_last,
                           vapi_payload_hicn_api_faces_details *reply),
  void *callback_ctx)
{
  if (!msg || !callback) {
    return VAPI_EINVAL;
  }
  if (vapi_is_nonblocking(ctx) && vapi_requests_full(ctx)) {
    return VAPI_EAGAIN;
  }
  vapi_error_e rv;
  if (VAPI_OK != (rv = vapi_producer_lock (ctx))) {
    return rv;
  }
  u32 req_context = vapi_gen_req_context(ctx);
  msg->header.context = req_context;
  vapi_msg_hicn_api_faces_dump_hton(msg);
  if (VAPI_OK == (rv = vapi_send_with_control_ping (ctx, msg, req_context))) {
    vapi_store_request(ctx, req_context, true, (vapi_cb_t)callback, callback_ctx);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
    if (vapi_is_nonblocking(ctx)) {
      rv = VAPI_OK;
    } else {
      rv = vapi_dispatch(ctx);
    }
  } else {
    vapi_msg_hicn_api_faces_dump_ntoh(msg);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
  }
  return rv;
}


static void __attribute__((constructor)) __vapi_constructor_hicn_api_faces_dump()
{
  static const char name[] = "hicn_api_faces_dump";
  static const char name_with_crc[] = "hicn_api_faces_dump_51077d14";
  static vapi_message_desc_t __vapi_metadata_hicn_api_faces_dump = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    VAPI_INVALID_MSG_ID,
    sizeof(vapi_msg_hicn_api_faces_dump),
    (generic_swap_fn_t)vapi_msg_hicn_api_faces_dump_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_faces_dump_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_faces_dump = vapi_register_msg(&__vapi_metadata_hicn_api_faces_dump);
  VAPI_DBG("Assigned msg id %d to hicn_api_faces_dump", vapi_msg_id_hicn_api_faces_dump);
}
#endif

#ifndef defined_vapi_msg_hicn_api_face_get_reply
#define defined_vapi_msg_hicn_api_face_get_reply
typedef struct __attribute__ ((__packed__)) {
  i32 retval;
  u32 faceid;
  vapi_type_hicn_face face; 
} vapi_payload_hicn_api_face_get_reply;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header1_t header;
  vapi_payload_hicn_api_face_get_reply payload;
} vapi_msg_hicn_api_face_get_reply;

static inline void vapi_msg_hicn_api_face_get_reply_payload_hton(vapi_payload_hicn_api_face_get_reply *payload)
{
  payload->retval = htobe32(payload->retval);
  payload->faceid = htobe32(payload->faceid);
  vapi_type_hicn_face_hton(&payload->face);
}

static inline void vapi_msg_hicn_api_face_get_reply_payload_ntoh(vapi_payload_hicn_api_face_get_reply *payload)
{
  payload->retval = be32toh(payload->retval);
  payload->faceid = be32toh(payload->faceid);
  vapi_type_hicn_face_ntoh(&payload->face);
}

static inline void vapi_msg_hicn_api_face_get_reply_hton(vapi_msg_hicn_api_face_get_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_face_get_reply'@%p to big endian", msg);
  vapi_type_msg_header1_t_hton(&msg->header);
  vapi_msg_hicn_api_face_get_reply_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_face_get_reply_ntoh(vapi_msg_hicn_api_face_get_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_face_get_reply'@%p to host byte order", msg);
  vapi_type_msg_header1_t_ntoh(&msg->header);
  vapi_msg_hicn_api_face_get_reply_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_face_get_reply_msg_size(vapi_msg_hicn_api_face_get_reply *msg)
{
  return sizeof(*msg);
}

static void __attribute__((constructor)) __vapi_constructor_hicn_api_face_get_reply()
{
  static const char name[] = "hicn_api_face_get_reply";
  static const char name_with_crc[] = "hicn_api_face_get_reply_79f8efa8";
  static vapi_message_desc_t __vapi_metadata_hicn_api_face_get_reply = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header1_t, context),
    offsetof(vapi_msg_hicn_api_face_get_reply, payload),
    sizeof(vapi_msg_hicn_api_face_get_reply),
    (generic_swap_fn_t)vapi_msg_hicn_api_face_get_reply_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_face_get_reply_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_face_get_reply = vapi_register_msg(&__vapi_metadata_hicn_api_face_get_reply);
  VAPI_DBG("Assigned msg id %d to hicn_api_face_get_reply", vapi_msg_id_hicn_api_face_get_reply);
}

static inline void vapi_set_vapi_msg_hicn_api_face_get_reply_event_cb (
  struct vapi_ctx_s *ctx, 
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx, void *callback_ctx, vapi_payload_hicn_api_face_get_reply *payload),
  void *callback_ctx)
{
  vapi_set_event_cb(ctx, vapi_msg_id_hicn_api_face_get_reply, (vapi_event_cb)callback, callback_ctx);
};
#endif

#ifndef defined_vapi_msg_hicn_api_face_get
#define defined_vapi_msg_hicn_api_face_get
typedef struct __attribute__ ((__packed__)) {
  u32 faceid; 
} vapi_payload_hicn_api_face_get;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
  vapi_payload_hicn_api_face_get payload;
} vapi_msg_hicn_api_face_get;

static inline void vapi_msg_hicn_api_face_get_payload_hton(vapi_payload_hicn_api_face_get *payload)
{
  payload->faceid = htobe32(payload->faceid);
}

static inline void vapi_msg_hicn_api_face_get_payload_ntoh(vapi_payload_hicn_api_face_get *payload)
{
  payload->faceid = be32toh(payload->faceid);
}

static inline void vapi_msg_hicn_api_face_get_hton(vapi_msg_hicn_api_face_get *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_face_get'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);
  vapi_msg_hicn_api_face_get_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_face_get_ntoh(vapi_msg_hicn_api_face_get *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_face_get'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);
  vapi_msg_hicn_api_face_get_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_face_get_msg_size(vapi_msg_hicn_api_face_get *msg)
{
  return sizeof(*msg);
}

static inline vapi_msg_hicn_api_face_get* vapi_alloc_hicn_api_face_get(struct vapi_ctx_s *ctx)
{
  vapi_msg_hicn_api_face_get *msg = NULL;
  const size_t size = sizeof(vapi_msg_hicn_api_face_get);
  /* cast here required to play nicely with C++ world ... */
  msg = (vapi_msg_hicn_api_face_get*)vapi_msg_alloc(ctx, size);
  if (!msg) {
    return NULL;
  }
  msg->header.client_index = vapi_get_client_index(ctx);
  msg->header.context = 0;
  msg->header._vl_msg_id = vapi_lookup_vl_msg_id(ctx, vapi_msg_id_hicn_api_face_get);

  return msg;
}

static inline vapi_error_e vapi_hicn_api_face_get(struct vapi_ctx_s *ctx,
  vapi_msg_hicn_api_face_get *msg,
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx,
                           void *callback_ctx,
                           vapi_error_e rv,
                           bool is_last,
                           vapi_payload_hicn_api_face_get_reply *reply),
  void *callback_ctx)
{
  if (!msg || !callback) {
    return VAPI_EINVAL;
  }
  if (vapi_is_nonblocking(ctx) && vapi_requests_full(ctx)) {
    return VAPI_EAGAIN;
  }
  vapi_error_e rv;
  if (VAPI_OK != (rv = vapi_producer_lock (ctx))) {
    return rv;
  }
  u32 req_context = vapi_gen_req_context(ctx);
  msg->header.context = req_context;
  vapi_msg_hicn_api_face_get_hton(msg);
  if (VAPI_OK == (rv = vapi_send (ctx, msg))) {
    vapi_store_request(ctx, req_context, false, (vapi_cb_t)callback, callback_ctx);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
    if (vapi_is_nonblocking(ctx)) {
      rv = VAPI_OK;
    } else {
      rv = vapi_dispatch(ctx);
    }
  } else {
    vapi_msg_hicn_api_face_get_ntoh(msg);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
  }
  return rv;
}


static void __attribute__((constructor)) __vapi_constructor_hicn_api_face_get()
{
  static const char name[] = "hicn_api_face_get";
  static const char name_with_crc[] = "hicn_api_face_get_ab295484";
  static vapi_message_desc_t __vapi_metadata_hicn_api_face_get = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    offsetof(vapi_msg_hicn_api_face_get, payload),
    sizeof(vapi_msg_hicn_api_face_get),
    (generic_swap_fn_t)vapi_msg_hicn_api_face_get_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_face_get_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_face_get = vapi_register_msg(&__vapi_metadata_hicn_api_face_get);
  VAPI_DBG("Assigned msg id %d to hicn_api_face_get", vapi_msg_id_hicn_api_face_get);
}
#endif

#ifndef defined_vapi_msg_hicn_api_route_get_reply
#define defined_vapi_msg_hicn_api_route_get_reply
typedef struct __attribute__ ((__packed__)) {
  u32 faceids[5];
  u8 nfaces;
  u32 strategy_id;
  i32 retval; 
} vapi_payload_hicn_api_route_get_reply;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
  vapi_payload_hicn_api_route_get_reply payload;
} vapi_msg_hicn_api_route_get_reply;

static inline void vapi_msg_hicn_api_route_get_reply_payload_hton(vapi_payload_hicn_api_route_get_reply *payload)
{
  do { unsigned i; for (i = 0; i < 5; ++i) { payload->faceids[i] = htobe32(payload->faceids[i]); } } while(0);
  payload->strategy_id = htobe32(payload->strategy_id);
  payload->retval = htobe32(payload->retval);
}

static inline void vapi_msg_hicn_api_route_get_reply_payload_ntoh(vapi_payload_hicn_api_route_get_reply *payload)
{
  do { unsigned i; for (i = 0; i < 5; ++i) { payload->faceids[i] = be32toh(payload->faceids[i]); } } while(0);
  payload->strategy_id = be32toh(payload->strategy_id);
  payload->retval = be32toh(payload->retval);
}

static inline void vapi_msg_hicn_api_route_get_reply_hton(vapi_msg_hicn_api_route_get_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_route_get_reply'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);
  vapi_msg_hicn_api_route_get_reply_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_route_get_reply_ntoh(vapi_msg_hicn_api_route_get_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_route_get_reply'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);
  vapi_msg_hicn_api_route_get_reply_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_route_get_reply_msg_size(vapi_msg_hicn_api_route_get_reply *msg)
{
  return sizeof(*msg);
}

static void __attribute__((constructor)) __vapi_constructor_hicn_api_route_get_reply()
{
  static const char name[] = "hicn_api_route_get_reply";
  static const char name_with_crc[] = "hicn_api_route_get_reply_25931609";
  static vapi_message_desc_t __vapi_metadata_hicn_api_route_get_reply = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    offsetof(vapi_msg_hicn_api_route_get_reply, payload),
    sizeof(vapi_msg_hicn_api_route_get_reply),
    (generic_swap_fn_t)vapi_msg_hicn_api_route_get_reply_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_route_get_reply_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_route_get_reply = vapi_register_msg(&__vapi_metadata_hicn_api_route_get_reply);
  VAPI_DBG("Assigned msg id %d to hicn_api_route_get_reply", vapi_msg_id_hicn_api_route_get_reply);
}

static inline void vapi_set_vapi_msg_hicn_api_route_get_reply_event_cb (
  struct vapi_ctx_s *ctx, 
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx, void *callback_ctx, vapi_payload_hicn_api_route_get_reply *payload),
  void *callback_ctx)
{
  vapi_set_event_cb(ctx, vapi_msg_id_hicn_api_route_get_reply, (vapi_event_cb)callback, callback_ctx);
};
#endif

#ifndef defined_vapi_msg_hicn_api_route_get
#define defined_vapi_msg_hicn_api_route_get
typedef struct __attribute__ ((__packed__)) {
  vapi_type_prefix prefix; 
} vapi_payload_hicn_api_route_get;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
  vapi_payload_hicn_api_route_get payload;
} vapi_msg_hicn_api_route_get;

static inline void vapi_msg_hicn_api_route_get_payload_hton(vapi_payload_hicn_api_route_get *payload)
{

}

static inline void vapi_msg_hicn_api_route_get_payload_ntoh(vapi_payload_hicn_api_route_get *payload)
{

}

static inline void vapi_msg_hicn_api_route_get_hton(vapi_msg_hicn_api_route_get *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_route_get'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);
  vapi_msg_hicn_api_route_get_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_route_get_ntoh(vapi_msg_hicn_api_route_get *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_route_get'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);
  vapi_msg_hicn_api_route_get_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_route_get_msg_size(vapi_msg_hicn_api_route_get *msg)
{
  return sizeof(*msg);
}

static inline vapi_msg_hicn_api_route_get* vapi_alloc_hicn_api_route_get(struct vapi_ctx_s *ctx)
{
  vapi_msg_hicn_api_route_get *msg = NULL;
  const size_t size = sizeof(vapi_msg_hicn_api_route_get);
  /* cast here required to play nicely with C++ world ... */
  msg = (vapi_msg_hicn_api_route_get*)vapi_msg_alloc(ctx, size);
  if (!msg) {
    return NULL;
  }
  msg->header.client_index = vapi_get_client_index(ctx);
  msg->header.context = 0;
  msg->header._vl_msg_id = vapi_lookup_vl_msg_id(ctx, vapi_msg_id_hicn_api_route_get);

  return msg;
}

static inline vapi_error_e vapi_hicn_api_route_get(struct vapi_ctx_s *ctx,
  vapi_msg_hicn_api_route_get *msg,
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx,
                           void *callback_ctx,
                           vapi_error_e rv,
                           bool is_last,
                           vapi_payload_hicn_api_route_get_reply *reply),
  void *callback_ctx)
{
  if (!msg || !callback) {
    return VAPI_EINVAL;
  }
  if (vapi_is_nonblocking(ctx) && vapi_requests_full(ctx)) {
    return VAPI_EAGAIN;
  }
  vapi_error_e rv;
  if (VAPI_OK != (rv = vapi_producer_lock (ctx))) {
    return rv;
  }
  u32 req_context = vapi_gen_req_context(ctx);
  msg->header.context = req_context;
  vapi_msg_hicn_api_route_get_hton(msg);
  if (VAPI_OK == (rv = vapi_send (ctx, msg))) {
    vapi_store_request(ctx, req_context, false, (vapi_cb_t)callback, callback_ctx);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
    if (vapi_is_nonblocking(ctx)) {
      rv = VAPI_OK;
    } else {
      rv = vapi_dispatch(ctx);
    }
  } else {
    vapi_msg_hicn_api_route_get_ntoh(msg);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
  }
  return rv;
}


static void __attribute__((constructor)) __vapi_constructor_hicn_api_route_get()
{
  static const char name[] = "hicn_api_route_get";
  static const char name_with_crc[] = "hicn_api_route_get_c2bba878";
  static vapi_message_desc_t __vapi_metadata_hicn_api_route_get = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    offsetof(vapi_msg_hicn_api_route_get, payload),
    sizeof(vapi_msg_hicn_api_route_get),
    (generic_swap_fn_t)vapi_msg_hicn_api_route_get_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_route_get_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_route_get = vapi_register_msg(&__vapi_metadata_hicn_api_route_get);
  VAPI_DBG("Assigned msg id %d to hicn_api_route_get", vapi_msg_id_hicn_api_route_get);
}
#endif

#ifndef defined_vapi_msg_hicn_api_routes_details
#define defined_vapi_msg_hicn_api_routes_details
typedef struct __attribute__ ((__packed__)) {
  vapi_type_prefix prefix;
  u32 faceids[5];
  u8 nfaces;
  u32 strategy_id;
  i32 retval; 
} vapi_payload_hicn_api_routes_details;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
  vapi_payload_hicn_api_routes_details payload;
} vapi_msg_hicn_api_routes_details;

static inline void vapi_msg_hicn_api_routes_details_payload_hton(vapi_payload_hicn_api_routes_details *payload)
{
  do { unsigned i; for (i = 0; i < 5; ++i) { payload->faceids[i] = htobe32(payload->faceids[i]); } } while(0);
  payload->strategy_id = htobe32(payload->strategy_id);
  payload->retval = htobe32(payload->retval);
}

static inline void vapi_msg_hicn_api_routes_details_payload_ntoh(vapi_payload_hicn_api_routes_details *payload)
{
  do { unsigned i; for (i = 0; i < 5; ++i) { payload->faceids[i] = be32toh(payload->faceids[i]); } } while(0);
  payload->strategy_id = be32toh(payload->strategy_id);
  payload->retval = be32toh(payload->retval);
}

static inline void vapi_msg_hicn_api_routes_details_hton(vapi_msg_hicn_api_routes_details *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_routes_details'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);
  vapi_msg_hicn_api_routes_details_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_routes_details_ntoh(vapi_msg_hicn_api_routes_details *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_routes_details'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);
  vapi_msg_hicn_api_routes_details_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_routes_details_msg_size(vapi_msg_hicn_api_routes_details *msg)
{
  return sizeof(*msg);
}

static void __attribute__((constructor)) __vapi_constructor_hicn_api_routes_details()
{
  static const char name[] = "hicn_api_routes_details";
  static const char name_with_crc[] = "hicn_api_routes_details_9befde5e";
  static vapi_message_desc_t __vapi_metadata_hicn_api_routes_details = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    offsetof(vapi_msg_hicn_api_routes_details, payload),
    sizeof(vapi_msg_hicn_api_routes_details),
    (generic_swap_fn_t)vapi_msg_hicn_api_routes_details_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_routes_details_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_routes_details = vapi_register_msg(&__vapi_metadata_hicn_api_routes_details);
  VAPI_DBG("Assigned msg id %d to hicn_api_routes_details", vapi_msg_id_hicn_api_routes_details);
}

static inline void vapi_set_vapi_msg_hicn_api_routes_details_event_cb (
  struct vapi_ctx_s *ctx, 
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx, void *callback_ctx, vapi_payload_hicn_api_routes_details *payload),
  void *callback_ctx)
{
  vapi_set_event_cb(ctx, vapi_msg_id_hicn_api_routes_details, (vapi_event_cb)callback, callback_ctx);
};
#endif

#ifndef defined_vapi_msg_hicn_api_routes_dump
#define defined_vapi_msg_hicn_api_routes_dump
typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
} vapi_msg_hicn_api_routes_dump;

static inline void vapi_msg_hicn_api_routes_dump_hton(vapi_msg_hicn_api_routes_dump *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_routes_dump'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);

}

static inline void vapi_msg_hicn_api_routes_dump_ntoh(vapi_msg_hicn_api_routes_dump *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_routes_dump'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);

}

static inline uword vapi_calc_hicn_api_routes_dump_msg_size(vapi_msg_hicn_api_routes_dump *msg)
{
  return sizeof(*msg);
}

static inline vapi_msg_hicn_api_routes_dump* vapi_alloc_hicn_api_routes_dump(struct vapi_ctx_s *ctx)
{
  vapi_msg_hicn_api_routes_dump *msg = NULL;
  const size_t size = sizeof(vapi_msg_hicn_api_routes_dump);
  /* cast here required to play nicely with C++ world ... */
  msg = (vapi_msg_hicn_api_routes_dump*)vapi_msg_alloc(ctx, size);
  if (!msg) {
    return NULL;
  }
  msg->header.client_index = vapi_get_client_index(ctx);
  msg->header.context = 0;
  msg->header._vl_msg_id = vapi_lookup_vl_msg_id(ctx, vapi_msg_id_hicn_api_routes_dump);

  return msg;
}

static inline vapi_error_e vapi_hicn_api_routes_dump(struct vapi_ctx_s *ctx,
  vapi_msg_hicn_api_routes_dump *msg,
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx,
                           void *callback_ctx,
                           vapi_error_e rv,
                           bool is_last,
                           vapi_payload_hicn_api_routes_details *reply),
  void *callback_ctx)
{
  if (!msg || !callback) {
    return VAPI_EINVAL;
  }
  if (vapi_is_nonblocking(ctx) && vapi_requests_full(ctx)) {
    return VAPI_EAGAIN;
  }
  vapi_error_e rv;
  if (VAPI_OK != (rv = vapi_producer_lock (ctx))) {
    return rv;
  }
  u32 req_context = vapi_gen_req_context(ctx);
  msg->header.context = req_context;
  vapi_msg_hicn_api_routes_dump_hton(msg);
  if (VAPI_OK == (rv = vapi_send_with_control_ping (ctx, msg, req_context))) {
    vapi_store_request(ctx, req_context, true, (vapi_cb_t)callback, callback_ctx);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
    if (vapi_is_nonblocking(ctx)) {
      rv = VAPI_OK;
    } else {
      rv = vapi_dispatch(ctx);
    }
  } else {
    vapi_msg_hicn_api_routes_dump_ntoh(msg);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
  }
  return rv;
}


static void __attribute__((constructor)) __vapi_constructor_hicn_api_routes_dump()
{
  static const char name[] = "hicn_api_routes_dump";
  static const char name_with_crc[] = "hicn_api_routes_dump_51077d14";
  static vapi_message_desc_t __vapi_metadata_hicn_api_routes_dump = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    VAPI_INVALID_MSG_ID,
    sizeof(vapi_msg_hicn_api_routes_dump),
    (generic_swap_fn_t)vapi_msg_hicn_api_routes_dump_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_routes_dump_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_routes_dump = vapi_register_msg(&__vapi_metadata_hicn_api_routes_dump);
  VAPI_DBG("Assigned msg id %d to hicn_api_routes_dump", vapi_msg_id_hicn_api_routes_dump);
}
#endif

#ifndef defined_vapi_msg_hicn_api_strategies_get_reply
#define defined_vapi_msg_hicn_api_strategies_get_reply
typedef struct __attribute__ ((__packed__)) {
  u8 n_strategies;
  u32 strategy_id[256];
  i32 retval; 
} vapi_payload_hicn_api_strategies_get_reply;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
  vapi_payload_hicn_api_strategies_get_reply payload;
} vapi_msg_hicn_api_strategies_get_reply;

static inline void vapi_msg_hicn_api_strategies_get_reply_payload_hton(vapi_payload_hicn_api_strategies_get_reply *payload)
{
  do { unsigned i; for (i = 0; i < 256; ++i) { payload->strategy_id[i] = htobe32(payload->strategy_id[i]); } } while(0);
  payload->retval = htobe32(payload->retval);
}

static inline void vapi_msg_hicn_api_strategies_get_reply_payload_ntoh(vapi_payload_hicn_api_strategies_get_reply *payload)
{
  do { unsigned i; for (i = 0; i < 256; ++i) { payload->strategy_id[i] = be32toh(payload->strategy_id[i]); } } while(0);
  payload->retval = be32toh(payload->retval);
}

static inline void vapi_msg_hicn_api_strategies_get_reply_hton(vapi_msg_hicn_api_strategies_get_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_strategies_get_reply'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);
  vapi_msg_hicn_api_strategies_get_reply_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_strategies_get_reply_ntoh(vapi_msg_hicn_api_strategies_get_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_strategies_get_reply'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);
  vapi_msg_hicn_api_strategies_get_reply_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_strategies_get_reply_msg_size(vapi_msg_hicn_api_strategies_get_reply *msg)
{
  return sizeof(*msg);
}

static void __attribute__((constructor)) __vapi_constructor_hicn_api_strategies_get_reply()
{
  static const char name[] = "hicn_api_strategies_get_reply";
  static const char name_with_crc[] = "hicn_api_strategies_get_reply_ca33692b";
  static vapi_message_desc_t __vapi_metadata_hicn_api_strategies_get_reply = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    offsetof(vapi_msg_hicn_api_strategies_get_reply, payload),
    sizeof(vapi_msg_hicn_api_strategies_get_reply),
    (generic_swap_fn_t)vapi_msg_hicn_api_strategies_get_reply_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_strategies_get_reply_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_strategies_get_reply = vapi_register_msg(&__vapi_metadata_hicn_api_strategies_get_reply);
  VAPI_DBG("Assigned msg id %d to hicn_api_strategies_get_reply", vapi_msg_id_hicn_api_strategies_get_reply);
}

static inline void vapi_set_vapi_msg_hicn_api_strategies_get_reply_event_cb (
  struct vapi_ctx_s *ctx, 
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx, void *callback_ctx, vapi_payload_hicn_api_strategies_get_reply *payload),
  void *callback_ctx)
{
  vapi_set_event_cb(ctx, vapi_msg_id_hicn_api_strategies_get_reply, (vapi_event_cb)callback, callback_ctx);
};
#endif

#ifndef defined_vapi_msg_hicn_api_strategies_get
#define defined_vapi_msg_hicn_api_strategies_get
typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
} vapi_msg_hicn_api_strategies_get;

static inline void vapi_msg_hicn_api_strategies_get_hton(vapi_msg_hicn_api_strategies_get *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_strategies_get'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);

}

static inline void vapi_msg_hicn_api_strategies_get_ntoh(vapi_msg_hicn_api_strategies_get *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_strategies_get'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);

}

static inline uword vapi_calc_hicn_api_strategies_get_msg_size(vapi_msg_hicn_api_strategies_get *msg)
{
  return sizeof(*msg);
}

static inline vapi_msg_hicn_api_strategies_get* vapi_alloc_hicn_api_strategies_get(struct vapi_ctx_s *ctx)
{
  vapi_msg_hicn_api_strategies_get *msg = NULL;
  const size_t size = sizeof(vapi_msg_hicn_api_strategies_get);
  /* cast here required to play nicely with C++ world ... */
  msg = (vapi_msg_hicn_api_strategies_get*)vapi_msg_alloc(ctx, size);
  if (!msg) {
    return NULL;
  }
  msg->header.client_index = vapi_get_client_index(ctx);
  msg->header.context = 0;
  msg->header._vl_msg_id = vapi_lookup_vl_msg_id(ctx, vapi_msg_id_hicn_api_strategies_get);

  return msg;
}

static inline vapi_error_e vapi_hicn_api_strategies_get(struct vapi_ctx_s *ctx,
  vapi_msg_hicn_api_strategies_get *msg,
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx,
                           void *callback_ctx,
                           vapi_error_e rv,
                           bool is_last,
                           vapi_payload_hicn_api_strategies_get_reply *reply),
  void *callback_ctx)
{
  if (!msg || !callback) {
    return VAPI_EINVAL;
  }
  if (vapi_is_nonblocking(ctx) && vapi_requests_full(ctx)) {
    return VAPI_EAGAIN;
  }
  vapi_error_e rv;
  if (VAPI_OK != (rv = vapi_producer_lock (ctx))) {
    return rv;
  }
  u32 req_context = vapi_gen_req_context(ctx);
  msg->header.context = req_context;
  vapi_msg_hicn_api_strategies_get_hton(msg);
  if (VAPI_OK == (rv = vapi_send (ctx, msg))) {
    vapi_store_request(ctx, req_context, false, (vapi_cb_t)callback, callback_ctx);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
    if (vapi_is_nonblocking(ctx)) {
      rv = VAPI_OK;
    } else {
      rv = vapi_dispatch(ctx);
    }
  } else {
    vapi_msg_hicn_api_strategies_get_ntoh(msg);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
  }
  return rv;
}


static void __attribute__((constructor)) __vapi_constructor_hicn_api_strategies_get()
{
  static const char name[] = "hicn_api_strategies_get";
  static const char name_with_crc[] = "hicn_api_strategies_get_51077d14";
  static vapi_message_desc_t __vapi_metadata_hicn_api_strategies_get = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    VAPI_INVALID_MSG_ID,
    sizeof(vapi_msg_hicn_api_strategies_get),
    (generic_swap_fn_t)vapi_msg_hicn_api_strategies_get_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_strategies_get_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_strategies_get = vapi_register_msg(&__vapi_metadata_hicn_api_strategies_get);
  VAPI_DBG("Assigned msg id %d to hicn_api_strategies_get", vapi_msg_id_hicn_api_strategies_get);
}
#endif

#ifndef defined_vapi_msg_hicn_api_strategy_get_reply
#define defined_vapi_msg_hicn_api_strategy_get_reply
typedef struct __attribute__ ((__packed__)) {
  u8 description[200];
  i32 retval; 
} vapi_payload_hicn_api_strategy_get_reply;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
  vapi_payload_hicn_api_strategy_get_reply payload;
} vapi_msg_hicn_api_strategy_get_reply;

static inline void vapi_msg_hicn_api_strategy_get_reply_payload_hton(vapi_payload_hicn_api_strategy_get_reply *payload)
{
  payload->retval = htobe32(payload->retval);
}

static inline void vapi_msg_hicn_api_strategy_get_reply_payload_ntoh(vapi_payload_hicn_api_strategy_get_reply *payload)
{
  payload->retval = be32toh(payload->retval);
}

static inline void vapi_msg_hicn_api_strategy_get_reply_hton(vapi_msg_hicn_api_strategy_get_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_strategy_get_reply'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);
  vapi_msg_hicn_api_strategy_get_reply_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_strategy_get_reply_ntoh(vapi_msg_hicn_api_strategy_get_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_strategy_get_reply'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);
  vapi_msg_hicn_api_strategy_get_reply_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_strategy_get_reply_msg_size(vapi_msg_hicn_api_strategy_get_reply *msg)
{
  return sizeof(*msg);
}

static void __attribute__((constructor)) __vapi_constructor_hicn_api_strategy_get_reply()
{
  static const char name[] = "hicn_api_strategy_get_reply";
  static const char name_with_crc[] = "hicn_api_strategy_get_reply_8b59590a";
  static vapi_message_desc_t __vapi_metadata_hicn_api_strategy_get_reply = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    offsetof(vapi_msg_hicn_api_strategy_get_reply, payload),
    sizeof(vapi_msg_hicn_api_strategy_get_reply),
    (generic_swap_fn_t)vapi_msg_hicn_api_strategy_get_reply_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_strategy_get_reply_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_strategy_get_reply = vapi_register_msg(&__vapi_metadata_hicn_api_strategy_get_reply);
  VAPI_DBG("Assigned msg id %d to hicn_api_strategy_get_reply", vapi_msg_id_hicn_api_strategy_get_reply);
}

static inline void vapi_set_vapi_msg_hicn_api_strategy_get_reply_event_cb (
  struct vapi_ctx_s *ctx, 
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx, void *callback_ctx, vapi_payload_hicn_api_strategy_get_reply *payload),
  void *callback_ctx)
{
  vapi_set_event_cb(ctx, vapi_msg_id_hicn_api_strategy_get_reply, (vapi_event_cb)callback, callback_ctx);
};
#endif

#ifndef defined_vapi_msg_hicn_api_strategy_get
#define defined_vapi_msg_hicn_api_strategy_get
typedef struct __attribute__ ((__packed__)) {
  u32 strategy_id; 
} vapi_payload_hicn_api_strategy_get;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
  vapi_payload_hicn_api_strategy_get payload;
} vapi_msg_hicn_api_strategy_get;

static inline void vapi_msg_hicn_api_strategy_get_payload_hton(vapi_payload_hicn_api_strategy_get *payload)
{
  payload->strategy_id = htobe32(payload->strategy_id);
}

static inline void vapi_msg_hicn_api_strategy_get_payload_ntoh(vapi_payload_hicn_api_strategy_get *payload)
{
  payload->strategy_id = be32toh(payload->strategy_id);
}

static inline void vapi_msg_hicn_api_strategy_get_hton(vapi_msg_hicn_api_strategy_get *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_strategy_get'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);
  vapi_msg_hicn_api_strategy_get_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_strategy_get_ntoh(vapi_msg_hicn_api_strategy_get *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_strategy_get'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);
  vapi_msg_hicn_api_strategy_get_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_strategy_get_msg_size(vapi_msg_hicn_api_strategy_get *msg)
{
  return sizeof(*msg);
}

static inline vapi_msg_hicn_api_strategy_get* vapi_alloc_hicn_api_strategy_get(struct vapi_ctx_s *ctx)
{
  vapi_msg_hicn_api_strategy_get *msg = NULL;
  const size_t size = sizeof(vapi_msg_hicn_api_strategy_get);
  /* cast here required to play nicely with C++ world ... */
  msg = (vapi_msg_hicn_api_strategy_get*)vapi_msg_alloc(ctx, size);
  if (!msg) {
    return NULL;
  }
  msg->header.client_index = vapi_get_client_index(ctx);
  msg->header.context = 0;
  msg->header._vl_msg_id = vapi_lookup_vl_msg_id(ctx, vapi_msg_id_hicn_api_strategy_get);

  return msg;
}

static inline vapi_error_e vapi_hicn_api_strategy_get(struct vapi_ctx_s *ctx,
  vapi_msg_hicn_api_strategy_get *msg,
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx,
                           void *callback_ctx,
                           vapi_error_e rv,
                           bool is_last,
                           vapi_payload_hicn_api_strategy_get_reply *reply),
  void *callback_ctx)
{
  if (!msg || !callback) {
    return VAPI_EINVAL;
  }
  if (vapi_is_nonblocking(ctx) && vapi_requests_full(ctx)) {
    return VAPI_EAGAIN;
  }
  vapi_error_e rv;
  if (VAPI_OK != (rv = vapi_producer_lock (ctx))) {
    return rv;
  }
  u32 req_context = vapi_gen_req_context(ctx);
  msg->header.context = req_context;
  vapi_msg_hicn_api_strategy_get_hton(msg);
  if (VAPI_OK == (rv = vapi_send (ctx, msg))) {
    vapi_store_request(ctx, req_context, false, (vapi_cb_t)callback, callback_ctx);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
    if (vapi_is_nonblocking(ctx)) {
      rv = VAPI_OK;
    } else {
      rv = vapi_dispatch(ctx);
    }
  } else {
    vapi_msg_hicn_api_strategy_get_ntoh(msg);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
  }
  return rv;
}


static void __attribute__((constructor)) __vapi_constructor_hicn_api_strategy_get()
{
  static const char name[] = "hicn_api_strategy_get";
  static const char name_with_crc[] = "hicn_api_strategy_get_4d3ebf01";
  static vapi_message_desc_t __vapi_metadata_hicn_api_strategy_get = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    offsetof(vapi_msg_hicn_api_strategy_get, payload),
    sizeof(vapi_msg_hicn_api_strategy_get),
    (generic_swap_fn_t)vapi_msg_hicn_api_strategy_get_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_strategy_get_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_strategy_get = vapi_register_msg(&__vapi_metadata_hicn_api_strategy_get);
  VAPI_DBG("Assigned msg id %d to hicn_api_strategy_get", vapi_msg_id_hicn_api_strategy_get);
}
#endif

#ifndef defined_vapi_msg_hicn_api_enable_disable_reply
#define defined_vapi_msg_hicn_api_enable_disable_reply
typedef struct __attribute__ ((__packed__)) {
  i32 retval; 
} vapi_payload_hicn_api_enable_disable_reply;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
  vapi_payload_hicn_api_enable_disable_reply payload;
} vapi_msg_hicn_api_enable_disable_reply;

static inline void vapi_msg_hicn_api_enable_disable_reply_payload_hton(vapi_payload_hicn_api_enable_disable_reply *payload)
{
  payload->retval = htobe32(payload->retval);
}

static inline void vapi_msg_hicn_api_enable_disable_reply_payload_ntoh(vapi_payload_hicn_api_enable_disable_reply *payload)
{
  payload->retval = be32toh(payload->retval);
}

static inline void vapi_msg_hicn_api_enable_disable_reply_hton(vapi_msg_hicn_api_enable_disable_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_enable_disable_reply'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);
  vapi_msg_hicn_api_enable_disable_reply_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_enable_disable_reply_ntoh(vapi_msg_hicn_api_enable_disable_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_enable_disable_reply'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);
  vapi_msg_hicn_api_enable_disable_reply_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_enable_disable_reply_msg_size(vapi_msg_hicn_api_enable_disable_reply *msg)
{
  return sizeof(*msg);
}

static void __attribute__((constructor)) __vapi_constructor_hicn_api_enable_disable_reply()
{
  static const char name[] = "hicn_api_enable_disable_reply";
  static const char name_with_crc[] = "hicn_api_enable_disable_reply_4db5150e";
  static vapi_message_desc_t __vapi_metadata_hicn_api_enable_disable_reply = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    offsetof(vapi_msg_hicn_api_enable_disable_reply, payload),
    sizeof(vapi_msg_hicn_api_enable_disable_reply),
    (generic_swap_fn_t)vapi_msg_hicn_api_enable_disable_reply_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_enable_disable_reply_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_enable_disable_reply = vapi_register_msg(&__vapi_metadata_hicn_api_enable_disable_reply);
  VAPI_DBG("Assigned msg id %d to hicn_api_enable_disable_reply", vapi_msg_id_hicn_api_enable_disable_reply);
}

static inline void vapi_set_vapi_msg_hicn_api_enable_disable_reply_event_cb (
  struct vapi_ctx_s *ctx, 
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx, void *callback_ctx, vapi_payload_hicn_api_enable_disable_reply *payload),
  void *callback_ctx)
{
  vapi_set_event_cb(ctx, vapi_msg_id_hicn_api_enable_disable_reply, (vapi_event_cb)callback, callback_ctx);
};
#endif

#ifndef defined_vapi_msg_hicn_api_enable_disable
#define defined_vapi_msg_hicn_api_enable_disable
typedef struct __attribute__ ((__packed__)) {
  vapi_enum_hicn_action_type enable_disable;
  vapi_type_prefix prefix; 
} vapi_payload_hicn_api_enable_disable;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
  vapi_payload_hicn_api_enable_disable payload;
} vapi_msg_hicn_api_enable_disable;

static inline void vapi_msg_hicn_api_enable_disable_payload_hton(vapi_payload_hicn_api_enable_disable *payload)
{
  payload->enable_disable = (vapi_enum_hicn_action_type)htobe32(payload->enable_disable);
}

static inline void vapi_msg_hicn_api_enable_disable_payload_ntoh(vapi_payload_hicn_api_enable_disable *payload)
{
  payload->enable_disable = (vapi_enum_hicn_action_type)be32toh(payload->enable_disable);
}

static inline void vapi_msg_hicn_api_enable_disable_hton(vapi_msg_hicn_api_enable_disable *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_enable_disable'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);
  vapi_msg_hicn_api_enable_disable_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_enable_disable_ntoh(vapi_msg_hicn_api_enable_disable *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_enable_disable'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);
  vapi_msg_hicn_api_enable_disable_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_enable_disable_msg_size(vapi_msg_hicn_api_enable_disable *msg)
{
  return sizeof(*msg);
}

static inline vapi_msg_hicn_api_enable_disable* vapi_alloc_hicn_api_enable_disable(struct vapi_ctx_s *ctx)
{
  vapi_msg_hicn_api_enable_disable *msg = NULL;
  const size_t size = sizeof(vapi_msg_hicn_api_enable_disable);
  /* cast here required to play nicely with C++ world ... */
  msg = (vapi_msg_hicn_api_enable_disable*)vapi_msg_alloc(ctx, size);
  if (!msg) {
    return NULL;
  }
  msg->header.client_index = vapi_get_client_index(ctx);
  msg->header.context = 0;
  msg->header._vl_msg_id = vapi_lookup_vl_msg_id(ctx, vapi_msg_id_hicn_api_enable_disable);

  return msg;
}

static inline vapi_error_e vapi_hicn_api_enable_disable(struct vapi_ctx_s *ctx,
  vapi_msg_hicn_api_enable_disable *msg,
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx,
                           void *callback_ctx,
                           vapi_error_e rv,
                           bool is_last,
                           vapi_payload_hicn_api_enable_disable_reply *reply),
  void *callback_ctx)
{
  if (!msg || !callback) {
    return VAPI_EINVAL;
  }
  if (vapi_is_nonblocking(ctx) && vapi_requests_full(ctx)) {
    return VAPI_EAGAIN;
  }
  vapi_error_e rv;
  if (VAPI_OK != (rv = vapi_producer_lock (ctx))) {
    return rv;
  }
  u32 req_context = vapi_gen_req_context(ctx);
  msg->header.context = req_context;
  vapi_msg_hicn_api_enable_disable_hton(msg);
  if (VAPI_OK == (rv = vapi_send (ctx, msg))) {
    vapi_store_request(ctx, req_context, false, (vapi_cb_t)callback, callback_ctx);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
    if (vapi_is_nonblocking(ctx)) {
      rv = VAPI_OK;
    } else {
      rv = vapi_dispatch(ctx);
    }
  } else {
    vapi_msg_hicn_api_enable_disable_ntoh(msg);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
  }
  return rv;
}


static void __attribute__((constructor)) __vapi_constructor_hicn_api_enable_disable()
{
  static const char name[] = "hicn_api_enable_disable";
  static const char name_with_crc[] = "hicn_api_enable_disable_156e74bc";
  static vapi_message_desc_t __vapi_metadata_hicn_api_enable_disable = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    offsetof(vapi_msg_hicn_api_enable_disable, payload),
    sizeof(vapi_msg_hicn_api_enable_disable),
    (generic_swap_fn_t)vapi_msg_hicn_api_enable_disable_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_enable_disable_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_enable_disable = vapi_register_msg(&__vapi_metadata_hicn_api_enable_disable);
  VAPI_DBG("Assigned msg id %d to hicn_api_enable_disable", vapi_msg_id_hicn_api_enable_disable);
}
#endif

#ifndef defined_vapi_msg_hicn_api_register_prod_app_reply
#define defined_vapi_msg_hicn_api_register_prod_app_reply
typedef struct __attribute__ ((__packed__)) {
  i32 retval;
  u32 cs_reserved;
  vapi_type_address prod_addr;
  u32 faceid; 
} vapi_payload_hicn_api_register_prod_app_reply;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header1_t header;
  vapi_payload_hicn_api_register_prod_app_reply payload;
} vapi_msg_hicn_api_register_prod_app_reply;

static inline void vapi_msg_hicn_api_register_prod_app_reply_payload_hton(vapi_payload_hicn_api_register_prod_app_reply *payload)
{
  payload->retval = htobe32(payload->retval);
  payload->cs_reserved = htobe32(payload->cs_reserved);
  payload->faceid = htobe32(payload->faceid);
}

static inline void vapi_msg_hicn_api_register_prod_app_reply_payload_ntoh(vapi_payload_hicn_api_register_prod_app_reply *payload)
{
  payload->retval = be32toh(payload->retval);
  payload->cs_reserved = be32toh(payload->cs_reserved);
  payload->faceid = be32toh(payload->faceid);
}

static inline void vapi_msg_hicn_api_register_prod_app_reply_hton(vapi_msg_hicn_api_register_prod_app_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_register_prod_app_reply'@%p to big endian", msg);
  vapi_type_msg_header1_t_hton(&msg->header);
  vapi_msg_hicn_api_register_prod_app_reply_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_register_prod_app_reply_ntoh(vapi_msg_hicn_api_register_prod_app_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_register_prod_app_reply'@%p to host byte order", msg);
  vapi_type_msg_header1_t_ntoh(&msg->header);
  vapi_msg_hicn_api_register_prod_app_reply_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_register_prod_app_reply_msg_size(vapi_msg_hicn_api_register_prod_app_reply *msg)
{
  return sizeof(*msg);
}

static void __attribute__((constructor)) __vapi_constructor_hicn_api_register_prod_app_reply()
{
  static const char name[] = "hicn_api_register_prod_app_reply";
  static const char name_with_crc[] = "hicn_api_register_prod_app_reply_0316ff50";
  static vapi_message_desc_t __vapi_metadata_hicn_api_register_prod_app_reply = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header1_t, context),
    offsetof(vapi_msg_hicn_api_register_prod_app_reply, payload),
    sizeof(vapi_msg_hicn_api_register_prod_app_reply),
    (generic_swap_fn_t)vapi_msg_hicn_api_register_prod_app_reply_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_register_prod_app_reply_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_register_prod_app_reply = vapi_register_msg(&__vapi_metadata_hicn_api_register_prod_app_reply);
  VAPI_DBG("Assigned msg id %d to hicn_api_register_prod_app_reply", vapi_msg_id_hicn_api_register_prod_app_reply);
}

static inline void vapi_set_vapi_msg_hicn_api_register_prod_app_reply_event_cb (
  struct vapi_ctx_s *ctx, 
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx, void *callback_ctx, vapi_payload_hicn_api_register_prod_app_reply *payload),
  void *callback_ctx)
{
  vapi_set_event_cb(ctx, vapi_msg_id_hicn_api_register_prod_app_reply, (vapi_event_cb)callback, callback_ctx);
};
#endif

#ifndef defined_vapi_msg_hicn_api_register_prod_app
#define defined_vapi_msg_hicn_api_register_prod_app
typedef struct __attribute__ ((__packed__)) {
  vapi_type_prefix prefix;
  u32 swif;
  u32 cs_reserved; 
} vapi_payload_hicn_api_register_prod_app;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
  vapi_payload_hicn_api_register_prod_app payload;
} vapi_msg_hicn_api_register_prod_app;

static inline void vapi_msg_hicn_api_register_prod_app_payload_hton(vapi_payload_hicn_api_register_prod_app *payload)
{
  payload->swif = htobe32(payload->swif);
  payload->cs_reserved = htobe32(payload->cs_reserved);
}

static inline void vapi_msg_hicn_api_register_prod_app_payload_ntoh(vapi_payload_hicn_api_register_prod_app *payload)
{
  payload->swif = be32toh(payload->swif);
  payload->cs_reserved = be32toh(payload->cs_reserved);
}

static inline void vapi_msg_hicn_api_register_prod_app_hton(vapi_msg_hicn_api_register_prod_app *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_register_prod_app'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);
  vapi_msg_hicn_api_register_prod_app_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_register_prod_app_ntoh(vapi_msg_hicn_api_register_prod_app *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_register_prod_app'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);
  vapi_msg_hicn_api_register_prod_app_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_register_prod_app_msg_size(vapi_msg_hicn_api_register_prod_app *msg)
{
  return sizeof(*msg);
}

static inline vapi_msg_hicn_api_register_prod_app* vapi_alloc_hicn_api_register_prod_app(struct vapi_ctx_s *ctx)
{
  vapi_msg_hicn_api_register_prod_app *msg = NULL;
  const size_t size = sizeof(vapi_msg_hicn_api_register_prod_app);
  /* cast here required to play nicely with C++ world ... */
  msg = (vapi_msg_hicn_api_register_prod_app*)vapi_msg_alloc(ctx, size);
  if (!msg) {
    return NULL;
  }
  msg->header.client_index = vapi_get_client_index(ctx);
  msg->header.context = 0;
  msg->header._vl_msg_id = vapi_lookup_vl_msg_id(ctx, vapi_msg_id_hicn_api_register_prod_app);

  return msg;
}

static inline vapi_error_e vapi_hicn_api_register_prod_app(struct vapi_ctx_s *ctx,
  vapi_msg_hicn_api_register_prod_app *msg,
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx,
                           void *callback_ctx,
                           vapi_error_e rv,
                           bool is_last,
                           vapi_payload_hicn_api_register_prod_app_reply *reply),
  void *callback_ctx)
{
  if (!msg || !callback) {
    return VAPI_EINVAL;
  }
  if (vapi_is_nonblocking(ctx) && vapi_requests_full(ctx)) {
    return VAPI_EAGAIN;
  }
  vapi_error_e rv;
  if (VAPI_OK != (rv = vapi_producer_lock (ctx))) {
    return rv;
  }
  u32 req_context = vapi_gen_req_context(ctx);
  msg->header.context = req_context;
  vapi_msg_hicn_api_register_prod_app_hton(msg);
  if (VAPI_OK == (rv = vapi_send (ctx, msg))) {
    vapi_store_request(ctx, req_context, false, (vapi_cb_t)callback, callback_ctx);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
    if (vapi_is_nonblocking(ctx)) {
      rv = VAPI_OK;
    } else {
      rv = vapi_dispatch(ctx);
    }
  } else {
    vapi_msg_hicn_api_register_prod_app_ntoh(msg);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
  }
  return rv;
}


static void __attribute__((constructor)) __vapi_constructor_hicn_api_register_prod_app()
{
  static const char name[] = "hicn_api_register_prod_app";
  static const char name_with_crc[] = "hicn_api_register_prod_app_31c5278a";
  static vapi_message_desc_t __vapi_metadata_hicn_api_register_prod_app = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    offsetof(vapi_msg_hicn_api_register_prod_app, payload),
    sizeof(vapi_msg_hicn_api_register_prod_app),
    (generic_swap_fn_t)vapi_msg_hicn_api_register_prod_app_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_register_prod_app_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_register_prod_app = vapi_register_msg(&__vapi_metadata_hicn_api_register_prod_app);
  VAPI_DBG("Assigned msg id %d to hicn_api_register_prod_app", vapi_msg_id_hicn_api_register_prod_app);
}
#endif

#ifndef defined_vapi_msg_hicn_api_face_prod_del_reply
#define defined_vapi_msg_hicn_api_face_prod_del_reply
typedef struct __attribute__ ((__packed__)) {
  i32 retval; 
} vapi_payload_hicn_api_face_prod_del_reply;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header1_t header;
  vapi_payload_hicn_api_face_prod_del_reply payload;
} vapi_msg_hicn_api_face_prod_del_reply;

static inline void vapi_msg_hicn_api_face_prod_del_reply_payload_hton(vapi_payload_hicn_api_face_prod_del_reply *payload)
{
  payload->retval = htobe32(payload->retval);
}

static inline void vapi_msg_hicn_api_face_prod_del_reply_payload_ntoh(vapi_payload_hicn_api_face_prod_del_reply *payload)
{
  payload->retval = be32toh(payload->retval);
}

static inline void vapi_msg_hicn_api_face_prod_del_reply_hton(vapi_msg_hicn_api_face_prod_del_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_face_prod_del_reply'@%p to big endian", msg);
  vapi_type_msg_header1_t_hton(&msg->header);
  vapi_msg_hicn_api_face_prod_del_reply_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_face_prod_del_reply_ntoh(vapi_msg_hicn_api_face_prod_del_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_face_prod_del_reply'@%p to host byte order", msg);
  vapi_type_msg_header1_t_ntoh(&msg->header);
  vapi_msg_hicn_api_face_prod_del_reply_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_face_prod_del_reply_msg_size(vapi_msg_hicn_api_face_prod_del_reply *msg)
{
  return sizeof(*msg);
}

static void __attribute__((constructor)) __vapi_constructor_hicn_api_face_prod_del_reply()
{
  static const char name[] = "hicn_api_face_prod_del_reply";
  static const char name_with_crc[] = "hicn_api_face_prod_del_reply_e8d4e804";
  static vapi_message_desc_t __vapi_metadata_hicn_api_face_prod_del_reply = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header1_t, context),
    offsetof(vapi_msg_hicn_api_face_prod_del_reply, payload),
    sizeof(vapi_msg_hicn_api_face_prod_del_reply),
    (generic_swap_fn_t)vapi_msg_hicn_api_face_prod_del_reply_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_face_prod_del_reply_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_face_prod_del_reply = vapi_register_msg(&__vapi_metadata_hicn_api_face_prod_del_reply);
  VAPI_DBG("Assigned msg id %d to hicn_api_face_prod_del_reply", vapi_msg_id_hicn_api_face_prod_del_reply);
}

static inline void vapi_set_vapi_msg_hicn_api_face_prod_del_reply_event_cb (
  struct vapi_ctx_s *ctx, 
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx, void *callback_ctx, vapi_payload_hicn_api_face_prod_del_reply *payload),
  void *callback_ctx)
{
  vapi_set_event_cb(ctx, vapi_msg_id_hicn_api_face_prod_del_reply, (vapi_event_cb)callback, callback_ctx);
};
#endif

#ifndef defined_vapi_msg_hicn_api_face_prod_del
#define defined_vapi_msg_hicn_api_face_prod_del
typedef struct __attribute__ ((__packed__)) {
  u32 faceid; 
} vapi_payload_hicn_api_face_prod_del;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
  vapi_payload_hicn_api_face_prod_del payload;
} vapi_msg_hicn_api_face_prod_del;

static inline void vapi_msg_hicn_api_face_prod_del_payload_hton(vapi_payload_hicn_api_face_prod_del *payload)
{
  payload->faceid = htobe32(payload->faceid);
}

static inline void vapi_msg_hicn_api_face_prod_del_payload_ntoh(vapi_payload_hicn_api_face_prod_del *payload)
{
  payload->faceid = be32toh(payload->faceid);
}

static inline void vapi_msg_hicn_api_face_prod_del_hton(vapi_msg_hicn_api_face_prod_del *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_face_prod_del'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);
  vapi_msg_hicn_api_face_prod_del_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_face_prod_del_ntoh(vapi_msg_hicn_api_face_prod_del *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_face_prod_del'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);
  vapi_msg_hicn_api_face_prod_del_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_face_prod_del_msg_size(vapi_msg_hicn_api_face_prod_del *msg)
{
  return sizeof(*msg);
}

static inline vapi_msg_hicn_api_face_prod_del* vapi_alloc_hicn_api_face_prod_del(struct vapi_ctx_s *ctx)
{
  vapi_msg_hicn_api_face_prod_del *msg = NULL;
  const size_t size = sizeof(vapi_msg_hicn_api_face_prod_del);
  /* cast here required to play nicely with C++ world ... */
  msg = (vapi_msg_hicn_api_face_prod_del*)vapi_msg_alloc(ctx, size);
  if (!msg) {
    return NULL;
  }
  msg->header.client_index = vapi_get_client_index(ctx);
  msg->header.context = 0;
  msg->header._vl_msg_id = vapi_lookup_vl_msg_id(ctx, vapi_msg_id_hicn_api_face_prod_del);

  return msg;
}

static inline vapi_error_e vapi_hicn_api_face_prod_del(struct vapi_ctx_s *ctx,
  vapi_msg_hicn_api_face_prod_del *msg,
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx,
                           void *callback_ctx,
                           vapi_error_e rv,
                           bool is_last,
                           vapi_payload_hicn_api_face_prod_del_reply *reply),
  void *callback_ctx)
{
  if (!msg || !callback) {
    return VAPI_EINVAL;
  }
  if (vapi_is_nonblocking(ctx) && vapi_requests_full(ctx)) {
    return VAPI_EAGAIN;
  }
  vapi_error_e rv;
  if (VAPI_OK != (rv = vapi_producer_lock (ctx))) {
    return rv;
  }
  u32 req_context = vapi_gen_req_context(ctx);
  msg->header.context = req_context;
  vapi_msg_hicn_api_face_prod_del_hton(msg);
  if (VAPI_OK == (rv = vapi_send (ctx, msg))) {
    vapi_store_request(ctx, req_context, false, (vapi_cb_t)callback, callback_ctx);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
    if (vapi_is_nonblocking(ctx)) {
      rv = VAPI_OK;
    } else {
      rv = vapi_dispatch(ctx);
    }
  } else {
    vapi_msg_hicn_api_face_prod_del_ntoh(msg);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
  }
  return rv;
}


static void __attribute__((constructor)) __vapi_constructor_hicn_api_face_prod_del()
{
  static const char name[] = "hicn_api_face_prod_del";
  static const char name_with_crc[] = "hicn_api_face_prod_del_ab295484";
  static vapi_message_desc_t __vapi_metadata_hicn_api_face_prod_del = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    offsetof(vapi_msg_hicn_api_face_prod_del, payload),
    sizeof(vapi_msg_hicn_api_face_prod_del),
    (generic_swap_fn_t)vapi_msg_hicn_api_face_prod_del_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_face_prod_del_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_face_prod_del = vapi_register_msg(&__vapi_metadata_hicn_api_face_prod_del);
  VAPI_DBG("Assigned msg id %d to hicn_api_face_prod_del", vapi_msg_id_hicn_api_face_prod_del);
}
#endif

#ifndef defined_vapi_msg_hicn_api_register_cons_app_reply
#define defined_vapi_msg_hicn_api_register_cons_app_reply
typedef struct __attribute__ ((__packed__)) {
  i32 retval;
  vapi_type_address src_addr4;
  vapi_type_address src_addr6;
  u32 faceid1;
  u32 faceid2; 
} vapi_payload_hicn_api_register_cons_app_reply;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header1_t header;
  vapi_payload_hicn_api_register_cons_app_reply payload;
} vapi_msg_hicn_api_register_cons_app_reply;

static inline void vapi_msg_hicn_api_register_cons_app_reply_payload_hton(vapi_payload_hicn_api_register_cons_app_reply *payload)
{
  payload->retval = htobe32(payload->retval);
  payload->faceid1 = htobe32(payload->faceid1);
  payload->faceid2 = htobe32(payload->faceid2);
}

static inline void vapi_msg_hicn_api_register_cons_app_reply_payload_ntoh(vapi_payload_hicn_api_register_cons_app_reply *payload)
{
  payload->retval = be32toh(payload->retval);
  payload->faceid1 = be32toh(payload->faceid1);
  payload->faceid2 = be32toh(payload->faceid2);
}

static inline void vapi_msg_hicn_api_register_cons_app_reply_hton(vapi_msg_hicn_api_register_cons_app_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_register_cons_app_reply'@%p to big endian", msg);
  vapi_type_msg_header1_t_hton(&msg->header);
  vapi_msg_hicn_api_register_cons_app_reply_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_register_cons_app_reply_ntoh(vapi_msg_hicn_api_register_cons_app_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_register_cons_app_reply'@%p to host byte order", msg);
  vapi_type_msg_header1_t_ntoh(&msg->header);
  vapi_msg_hicn_api_register_cons_app_reply_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_register_cons_app_reply_msg_size(vapi_msg_hicn_api_register_cons_app_reply *msg)
{
  return sizeof(*msg);
}

static void __attribute__((constructor)) __vapi_constructor_hicn_api_register_cons_app_reply()
{
  static const char name[] = "hicn_api_register_cons_app_reply";
  static const char name_with_crc[] = "hicn_api_register_cons_app_reply_a6a1666e";
  static vapi_message_desc_t __vapi_metadata_hicn_api_register_cons_app_reply = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header1_t, context),
    offsetof(vapi_msg_hicn_api_register_cons_app_reply, payload),
    sizeof(vapi_msg_hicn_api_register_cons_app_reply),
    (generic_swap_fn_t)vapi_msg_hicn_api_register_cons_app_reply_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_register_cons_app_reply_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_register_cons_app_reply = vapi_register_msg(&__vapi_metadata_hicn_api_register_cons_app_reply);
  VAPI_DBG("Assigned msg id %d to hicn_api_register_cons_app_reply", vapi_msg_id_hicn_api_register_cons_app_reply);
}

static inline void vapi_set_vapi_msg_hicn_api_register_cons_app_reply_event_cb (
  struct vapi_ctx_s *ctx, 
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx, void *callback_ctx, vapi_payload_hicn_api_register_cons_app_reply *payload),
  void *callback_ctx)
{
  vapi_set_event_cb(ctx, vapi_msg_id_hicn_api_register_cons_app_reply, (vapi_event_cb)callback, callback_ctx);
};
#endif

#ifndef defined_vapi_msg_hicn_api_register_cons_app
#define defined_vapi_msg_hicn_api_register_cons_app
typedef struct __attribute__ ((__packed__)) {
  u32 swif; 
} vapi_payload_hicn_api_register_cons_app;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
  vapi_payload_hicn_api_register_cons_app payload;
} vapi_msg_hicn_api_register_cons_app;

static inline void vapi_msg_hicn_api_register_cons_app_payload_hton(vapi_payload_hicn_api_register_cons_app *payload)
{
  payload->swif = htobe32(payload->swif);
}

static inline void vapi_msg_hicn_api_register_cons_app_payload_ntoh(vapi_payload_hicn_api_register_cons_app *payload)
{
  payload->swif = be32toh(payload->swif);
}

static inline void vapi_msg_hicn_api_register_cons_app_hton(vapi_msg_hicn_api_register_cons_app *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_register_cons_app'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);
  vapi_msg_hicn_api_register_cons_app_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_register_cons_app_ntoh(vapi_msg_hicn_api_register_cons_app *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_register_cons_app'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);
  vapi_msg_hicn_api_register_cons_app_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_register_cons_app_msg_size(vapi_msg_hicn_api_register_cons_app *msg)
{
  return sizeof(*msg);
}

static inline vapi_msg_hicn_api_register_cons_app* vapi_alloc_hicn_api_register_cons_app(struct vapi_ctx_s *ctx)
{
  vapi_msg_hicn_api_register_cons_app *msg = NULL;
  const size_t size = sizeof(vapi_msg_hicn_api_register_cons_app);
  /* cast here required to play nicely with C++ world ... */
  msg = (vapi_msg_hicn_api_register_cons_app*)vapi_msg_alloc(ctx, size);
  if (!msg) {
    return NULL;
  }
  msg->header.client_index = vapi_get_client_index(ctx);
  msg->header.context = 0;
  msg->header._vl_msg_id = vapi_lookup_vl_msg_id(ctx, vapi_msg_id_hicn_api_register_cons_app);

  return msg;
}

static inline vapi_error_e vapi_hicn_api_register_cons_app(struct vapi_ctx_s *ctx,
  vapi_msg_hicn_api_register_cons_app *msg,
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx,
                           void *callback_ctx,
                           vapi_error_e rv,
                           bool is_last,
                           vapi_payload_hicn_api_register_cons_app_reply *reply),
  void *callback_ctx)
{
  if (!msg || !callback) {
    return VAPI_EINVAL;
  }
  if (vapi_is_nonblocking(ctx) && vapi_requests_full(ctx)) {
    return VAPI_EAGAIN;
  }
  vapi_error_e rv;
  if (VAPI_OK != (rv = vapi_producer_lock (ctx))) {
    return rv;
  }
  u32 req_context = vapi_gen_req_context(ctx);
  msg->header.context = req_context;
  vapi_msg_hicn_api_register_cons_app_hton(msg);
  if (VAPI_OK == (rv = vapi_send (ctx, msg))) {
    vapi_store_request(ctx, req_context, false, (vapi_cb_t)callback, callback_ctx);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
    if (vapi_is_nonblocking(ctx)) {
      rv = VAPI_OK;
    } else {
      rv = vapi_dispatch(ctx);
    }
  } else {
    vapi_msg_hicn_api_register_cons_app_ntoh(msg);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
  }
  return rv;
}


static void __attribute__((constructor)) __vapi_constructor_hicn_api_register_cons_app()
{
  static const char name[] = "hicn_api_register_cons_app";
  static const char name_with_crc[] = "hicn_api_register_cons_app_12ac291d";
  static vapi_message_desc_t __vapi_metadata_hicn_api_register_cons_app = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    offsetof(vapi_msg_hicn_api_register_cons_app, payload),
    sizeof(vapi_msg_hicn_api_register_cons_app),
    (generic_swap_fn_t)vapi_msg_hicn_api_register_cons_app_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_register_cons_app_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_register_cons_app = vapi_register_msg(&__vapi_metadata_hicn_api_register_cons_app);
  VAPI_DBG("Assigned msg id %d to hicn_api_register_cons_app", vapi_msg_id_hicn_api_register_cons_app);
}
#endif

#ifndef defined_vapi_msg_hicn_api_face_cons_del_reply
#define defined_vapi_msg_hicn_api_face_cons_del_reply
typedef struct __attribute__ ((__packed__)) {
  i32 retval; 
} vapi_payload_hicn_api_face_cons_del_reply;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header1_t header;
  vapi_payload_hicn_api_face_cons_del_reply payload;
} vapi_msg_hicn_api_face_cons_del_reply;

static inline void vapi_msg_hicn_api_face_cons_del_reply_payload_hton(vapi_payload_hicn_api_face_cons_del_reply *payload)
{
  payload->retval = htobe32(payload->retval);
}

static inline void vapi_msg_hicn_api_face_cons_del_reply_payload_ntoh(vapi_payload_hicn_api_face_cons_del_reply *payload)
{
  payload->retval = be32toh(payload->retval);
}

static inline void vapi_msg_hicn_api_face_cons_del_reply_hton(vapi_msg_hicn_api_face_cons_del_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_face_cons_del_reply'@%p to big endian", msg);
  vapi_type_msg_header1_t_hton(&msg->header);
  vapi_msg_hicn_api_face_cons_del_reply_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_face_cons_del_reply_ntoh(vapi_msg_hicn_api_face_cons_del_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_face_cons_del_reply'@%p to host byte order", msg);
  vapi_type_msg_header1_t_ntoh(&msg->header);
  vapi_msg_hicn_api_face_cons_del_reply_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_face_cons_del_reply_msg_size(vapi_msg_hicn_api_face_cons_del_reply *msg)
{
  return sizeof(*msg);
}

static void __attribute__((constructor)) __vapi_constructor_hicn_api_face_cons_del_reply()
{
  static const char name[] = "hicn_api_face_cons_del_reply";
  static const char name_with_crc[] = "hicn_api_face_cons_del_reply_e8d4e804";
  static vapi_message_desc_t __vapi_metadata_hicn_api_face_cons_del_reply = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header1_t, context),
    offsetof(vapi_msg_hicn_api_face_cons_del_reply, payload),
    sizeof(vapi_msg_hicn_api_face_cons_del_reply),
    (generic_swap_fn_t)vapi_msg_hicn_api_face_cons_del_reply_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_face_cons_del_reply_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_face_cons_del_reply = vapi_register_msg(&__vapi_metadata_hicn_api_face_cons_del_reply);
  VAPI_DBG("Assigned msg id %d to hicn_api_face_cons_del_reply", vapi_msg_id_hicn_api_face_cons_del_reply);
}

static inline void vapi_set_vapi_msg_hicn_api_face_cons_del_reply_event_cb (
  struct vapi_ctx_s *ctx, 
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx, void *callback_ctx, vapi_payload_hicn_api_face_cons_del_reply *payload),
  void *callback_ctx)
{
  vapi_set_event_cb(ctx, vapi_msg_id_hicn_api_face_cons_del_reply, (vapi_event_cb)callback, callback_ctx);
};
#endif

#ifndef defined_vapi_msg_hicn_api_face_cons_del
#define defined_vapi_msg_hicn_api_face_cons_del
typedef struct __attribute__ ((__packed__)) {
  u32 faceid; 
} vapi_payload_hicn_api_face_cons_del;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
  vapi_payload_hicn_api_face_cons_del payload;
} vapi_msg_hicn_api_face_cons_del;

static inline void vapi_msg_hicn_api_face_cons_del_payload_hton(vapi_payload_hicn_api_face_cons_del *payload)
{
  payload->faceid = htobe32(payload->faceid);
}

static inline void vapi_msg_hicn_api_face_cons_del_payload_ntoh(vapi_payload_hicn_api_face_cons_del *payload)
{
  payload->faceid = be32toh(payload->faceid);
}

static inline void vapi_msg_hicn_api_face_cons_del_hton(vapi_msg_hicn_api_face_cons_del *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_face_cons_del'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);
  vapi_msg_hicn_api_face_cons_del_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_face_cons_del_ntoh(vapi_msg_hicn_api_face_cons_del *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_face_cons_del'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);
  vapi_msg_hicn_api_face_cons_del_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_face_cons_del_msg_size(vapi_msg_hicn_api_face_cons_del *msg)
{
  return sizeof(*msg);
}

static inline vapi_msg_hicn_api_face_cons_del* vapi_alloc_hicn_api_face_cons_del(struct vapi_ctx_s *ctx)
{
  vapi_msg_hicn_api_face_cons_del *msg = NULL;
  const size_t size = sizeof(vapi_msg_hicn_api_face_cons_del);
  /* cast here required to play nicely with C++ world ... */
  msg = (vapi_msg_hicn_api_face_cons_del*)vapi_msg_alloc(ctx, size);
  if (!msg) {
    return NULL;
  }
  msg->header.client_index = vapi_get_client_index(ctx);
  msg->header.context = 0;
  msg->header._vl_msg_id = vapi_lookup_vl_msg_id(ctx, vapi_msg_id_hicn_api_face_cons_del);

  return msg;
}

static inline vapi_error_e vapi_hicn_api_face_cons_del(struct vapi_ctx_s *ctx,
  vapi_msg_hicn_api_face_cons_del *msg,
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx,
                           void *callback_ctx,
                           vapi_error_e rv,
                           bool is_last,
                           vapi_payload_hicn_api_face_cons_del_reply *reply),
  void *callback_ctx)
{
  if (!msg || !callback) {
    return VAPI_EINVAL;
  }
  if (vapi_is_nonblocking(ctx) && vapi_requests_full(ctx)) {
    return VAPI_EAGAIN;
  }
  vapi_error_e rv;
  if (VAPI_OK != (rv = vapi_producer_lock (ctx))) {
    return rv;
  }
  u32 req_context = vapi_gen_req_context(ctx);
  msg->header.context = req_context;
  vapi_msg_hicn_api_face_cons_del_hton(msg);
  if (VAPI_OK == (rv = vapi_send (ctx, msg))) {
    vapi_store_request(ctx, req_context, false, (vapi_cb_t)callback, callback_ctx);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
    if (vapi_is_nonblocking(ctx)) {
      rv = VAPI_OK;
    } else {
      rv = vapi_dispatch(ctx);
    }
  } else {
    vapi_msg_hicn_api_face_cons_del_ntoh(msg);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
  }
  return rv;
}


static void __attribute__((constructor)) __vapi_constructor_hicn_api_face_cons_del()
{
  static const char name[] = "hicn_api_face_cons_del";
  static const char name_with_crc[] = "hicn_api_face_cons_del_ab295484";
  static vapi_message_desc_t __vapi_metadata_hicn_api_face_cons_del = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    offsetof(vapi_msg_hicn_api_face_cons_del, payload),
    sizeof(vapi_msg_hicn_api_face_cons_del),
    (generic_swap_fn_t)vapi_msg_hicn_api_face_cons_del_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_face_cons_del_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_face_cons_del = vapi_register_msg(&__vapi_metadata_hicn_api_face_cons_del);
  VAPI_DBG("Assigned msg id %d to hicn_api_face_cons_del", vapi_msg_id_hicn_api_face_cons_del);
}
#endif

#ifndef defined_vapi_msg_hicn_api_udp_tunnel_add_del_reply
#define defined_vapi_msg_hicn_api_udp_tunnel_add_del_reply
typedef struct __attribute__ ((__packed__)) {
  i32 retval;
  u32 uei; 
} vapi_payload_hicn_api_udp_tunnel_add_del_reply;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header1_t header;
  vapi_payload_hicn_api_udp_tunnel_add_del_reply payload;
} vapi_msg_hicn_api_udp_tunnel_add_del_reply;

static inline void vapi_msg_hicn_api_udp_tunnel_add_del_reply_payload_hton(vapi_payload_hicn_api_udp_tunnel_add_del_reply *payload)
{
  payload->retval = htobe32(payload->retval);
  payload->uei = htobe32(payload->uei);
}

static inline void vapi_msg_hicn_api_udp_tunnel_add_del_reply_payload_ntoh(vapi_payload_hicn_api_udp_tunnel_add_del_reply *payload)
{
  payload->retval = be32toh(payload->retval);
  payload->uei = be32toh(payload->uei);
}

static inline void vapi_msg_hicn_api_udp_tunnel_add_del_reply_hton(vapi_msg_hicn_api_udp_tunnel_add_del_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_udp_tunnel_add_del_reply'@%p to big endian", msg);
  vapi_type_msg_header1_t_hton(&msg->header);
  vapi_msg_hicn_api_udp_tunnel_add_del_reply_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_udp_tunnel_add_del_reply_ntoh(vapi_msg_hicn_api_udp_tunnel_add_del_reply *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_udp_tunnel_add_del_reply'@%p to host byte order", msg);
  vapi_type_msg_header1_t_ntoh(&msg->header);
  vapi_msg_hicn_api_udp_tunnel_add_del_reply_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_udp_tunnel_add_del_reply_msg_size(vapi_msg_hicn_api_udp_tunnel_add_del_reply *msg)
{
  return sizeof(*msg);
}

static void __attribute__((constructor)) __vapi_constructor_hicn_api_udp_tunnel_add_del_reply()
{
  static const char name[] = "hicn_api_udp_tunnel_add_del_reply";
  static const char name_with_crc[] = "hicn_api_udp_tunnel_add_del_reply_5b8140c3";
  static vapi_message_desc_t __vapi_metadata_hicn_api_udp_tunnel_add_del_reply = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header1_t, context),
    offsetof(vapi_msg_hicn_api_udp_tunnel_add_del_reply, payload),
    sizeof(vapi_msg_hicn_api_udp_tunnel_add_del_reply),
    (generic_swap_fn_t)vapi_msg_hicn_api_udp_tunnel_add_del_reply_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_udp_tunnel_add_del_reply_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_udp_tunnel_add_del_reply = vapi_register_msg(&__vapi_metadata_hicn_api_udp_tunnel_add_del_reply);
  VAPI_DBG("Assigned msg id %d to hicn_api_udp_tunnel_add_del_reply", vapi_msg_id_hicn_api_udp_tunnel_add_del_reply);
}

static inline void vapi_set_vapi_msg_hicn_api_udp_tunnel_add_del_reply_event_cb (
  struct vapi_ctx_s *ctx, 
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx, void *callback_ctx, vapi_payload_hicn_api_udp_tunnel_add_del_reply *payload),
  void *callback_ctx)
{
  vapi_set_event_cb(ctx, vapi_msg_id_hicn_api_udp_tunnel_add_del_reply, (vapi_event_cb)callback, callback_ctx);
};
#endif

#ifndef defined_vapi_msg_hicn_api_udp_tunnel_add_del
#define defined_vapi_msg_hicn_api_udp_tunnel_add_del
typedef struct __attribute__ ((__packed__)) {
  vapi_type_address src_addr;
  vapi_type_address dst_addr;
  u16 src_port;
  u16 dst_port;
  u8 is_add; 
} vapi_payload_hicn_api_udp_tunnel_add_del;

typedef struct __attribute__ ((__packed__)) {
  vapi_type_msg_header2_t header;
  vapi_payload_hicn_api_udp_tunnel_add_del payload;
} vapi_msg_hicn_api_udp_tunnel_add_del;

static inline void vapi_msg_hicn_api_udp_tunnel_add_del_payload_hton(vapi_payload_hicn_api_udp_tunnel_add_del *payload)
{
  payload->src_port = htobe16(payload->src_port);
  payload->dst_port = htobe16(payload->dst_port);
}

static inline void vapi_msg_hicn_api_udp_tunnel_add_del_payload_ntoh(vapi_payload_hicn_api_udp_tunnel_add_del *payload)
{
  payload->src_port = be16toh(payload->src_port);
  payload->dst_port = be16toh(payload->dst_port);
}

static inline void vapi_msg_hicn_api_udp_tunnel_add_del_hton(vapi_msg_hicn_api_udp_tunnel_add_del *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_udp_tunnel_add_del'@%p to big endian", msg);
  vapi_type_msg_header2_t_hton(&msg->header);
  vapi_msg_hicn_api_udp_tunnel_add_del_payload_hton(&msg->payload);
}

static inline void vapi_msg_hicn_api_udp_tunnel_add_del_ntoh(vapi_msg_hicn_api_udp_tunnel_add_del *msg)
{
  VAPI_DBG("Swapping `vapi_msg_hicn_api_udp_tunnel_add_del'@%p to host byte order", msg);
  vapi_type_msg_header2_t_ntoh(&msg->header);
  vapi_msg_hicn_api_udp_tunnel_add_del_payload_ntoh(&msg->payload);
}

static inline uword vapi_calc_hicn_api_udp_tunnel_add_del_msg_size(vapi_msg_hicn_api_udp_tunnel_add_del *msg)
{
  return sizeof(*msg);
}

static inline vapi_msg_hicn_api_udp_tunnel_add_del* vapi_alloc_hicn_api_udp_tunnel_add_del(struct vapi_ctx_s *ctx)
{
  vapi_msg_hicn_api_udp_tunnel_add_del *msg = NULL;
  const size_t size = sizeof(vapi_msg_hicn_api_udp_tunnel_add_del);
  /* cast here required to play nicely with C++ world ... */
  msg = (vapi_msg_hicn_api_udp_tunnel_add_del*)vapi_msg_alloc(ctx, size);
  if (!msg) {
    return NULL;
  }
  msg->header.client_index = vapi_get_client_index(ctx);
  msg->header.context = 0;
  msg->header._vl_msg_id = vapi_lookup_vl_msg_id(ctx, vapi_msg_id_hicn_api_udp_tunnel_add_del);

  return msg;
}

static inline vapi_error_e vapi_hicn_api_udp_tunnel_add_del(struct vapi_ctx_s *ctx,
  vapi_msg_hicn_api_udp_tunnel_add_del *msg,
  vapi_error_e (*callback)(struct vapi_ctx_s *ctx,
                           void *callback_ctx,
                           vapi_error_e rv,
                           bool is_last,
                           vapi_payload_hicn_api_udp_tunnel_add_del_reply *reply),
  void *callback_ctx)
{
  if (!msg || !callback) {
    return VAPI_EINVAL;
  }
  if (vapi_is_nonblocking(ctx) && vapi_requests_full(ctx)) {
    return VAPI_EAGAIN;
  }
  vapi_error_e rv;
  if (VAPI_OK != (rv = vapi_producer_lock (ctx))) {
    return rv;
  }
  u32 req_context = vapi_gen_req_context(ctx);
  msg->header.context = req_context;
  vapi_msg_hicn_api_udp_tunnel_add_del_hton(msg);
  if (VAPI_OK == (rv = vapi_send (ctx, msg))) {
    vapi_store_request(ctx, req_context, false, (vapi_cb_t)callback, callback_ctx);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
    if (vapi_is_nonblocking(ctx)) {
      rv = VAPI_OK;
    } else {
      rv = vapi_dispatch(ctx);
    }
  } else {
    vapi_msg_hicn_api_udp_tunnel_add_del_ntoh(msg);
    if (VAPI_OK != vapi_producer_unlock (ctx)) {
      abort (); /* this really shouldn't happen */
    }
  }
  return rv;
}


static void __attribute__((constructor)) __vapi_constructor_hicn_api_udp_tunnel_add_del()
{
  static const char name[] = "hicn_api_udp_tunnel_add_del";
  static const char name_with_crc[] = "hicn_api_udp_tunnel_add_del_68caaa87";
  static vapi_message_desc_t __vapi_metadata_hicn_api_udp_tunnel_add_del = {
    name,
    sizeof(name) - 1,
    name_with_crc,
    sizeof(name_with_crc) - 1,
    true,
    offsetof(vapi_type_msg_header2_t, context),
    offsetof(vapi_msg_hicn_api_udp_tunnel_add_del, payload),
    sizeof(vapi_msg_hicn_api_udp_tunnel_add_del),
    (generic_swap_fn_t)vapi_msg_hicn_api_udp_tunnel_add_del_hton,
    (generic_swap_fn_t)vapi_msg_hicn_api_udp_tunnel_add_del_ntoh,
    VAPI_INVALID_MSG_ID,
  };

  vapi_msg_id_hicn_api_udp_tunnel_add_del = vapi_register_msg(&__vapi_metadata_hicn_api_udp_tunnel_add_del);
  VAPI_DBG("Assigned msg id %d to hicn_api_udp_tunnel_add_del", vapi_msg_id_hicn_api_udp_tunnel_add_del);
}
#endif


#ifdef __cplusplus
}
#endif

#endif
